<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Add and Edit Product Option</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Add and Edit Product Option</span>
        </div>
        <div class="pagecontent">
          <p>On the Add/Edit Product Option page you can add new and edit current options. Any option may have an unlimited number of values.</p>
<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Option Name</b> </td>
<td class='confluenceTd'> The name of the option. For example, for shirts this can be Color or Size. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Option Text in Storefront</b> </td>
<td class='confluenceTd'> The message appearing in the storefront, For example, for the Size option you can have the storefront text say "Please choose shirt size." </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Option Type</b> </td>
<td class='confluenceTd'> Option type lets you define the way in which customers will be able to choose options in the storefront. <br clear="all" />
<br clear="all" />
<b>Single Select</b> <br clear="all" />
This type lets customers choose only one option value. For example, if you have the Size option with values S, M, L, and XL, then Single Select will allow to select only one shirt size from those four. <br clear="all" />
<br clear="all" />
<b>Multiple Select</b> <br clear="all" />
This option type lets customers choose multiple values for an option. For example, you have a Front Text shirt option with parameters "Hello&#33;" and "How are you?". If Option Type is selected as <b>Multiple Select</b>, then a customer will be able to select either one of these labels to be placed on the shirt or both of them together. <br clear="all" />
<br clear="all" />
<b>Custom Input</b> <br clear="all" />
This option type lets customers enter their own text value for the option. For example, if Custom Input is chosen for the Front Text option, customers can enter their personal custom words to be put on the front of the shirt. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Option Display Type</b> </td>
<td class='confluenceTd'> Depending on the Option Type selected, the option can be displayed in different ways in the storefront. For instance, if Option Type is set to Single Select, the option may be represented as a drop-down list or its values may appear as a group of radio buttons. The following lists the possible options display types for the storefront. <br clear="all" />
<br clear="all" />
<b>Drop-Down</b> <br clear="all" />
The list of option values displays in a drop-down list. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-1-storefront.png"></div> </div> <br clear="all" />
<hr />
<p><b>Radio Group</b> <br clear="all" />
<br clear="all" />
The list of option values displays as a group of radio buttons. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-3-storefront.png"></div> </div> <br clear="all" /></p>
<hr />
<p><b>Multiple Select</b> <br clear="all" />
<br clear="all" />
The list of option values displays as a multiple selection listbox. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-4-storefront.png"></div> </div> <br clear="all" /></p>
<hr />
<p><b>Checkbox Group</b> <br clear="all" />
The list of option values displays as a group of checkboxes. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-5-storefront.png"></div> </div> <br clear="all" /></p>
<hr />
<p><b>Checkbox + Simple Input</b> <br clear="all" />
<br clear="all" />
The option value displays as shown on the figure below. The checkbox text is specified by the Checkbox text input field. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-6-storefront.png"></div> </div> <br clear="all" /></p>
<hr />
<p><b>Checkbox + Text Area</b> <br clear="all" />
<br clear="all" />
The option value displays as shown on the figure below. The checkbox text is specified by the Checkbox text input field. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-7-storefront.png"></div> </div> <br clear="all" /></p>
<hr />
<p><b>Simple Input</b> <br clear="all" />
<br clear="all" />
The option value displays as shown on the figure below. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-8-storefront.png"></div> </div> <br clear="all" /></p>
<hr />
<p><b>Text Area</b> <br clear="all" />
<br clear="all" />
The option value displays as shown on the figure below. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-9-storefront.png"></div> </div> <br clear="all" /></p>
<hr />
<p><b>Checkbox Text</b> <br clear="all" />
<br clear="all" />
The text for Option Display Type set to 'Checkbox + Simple Input" or 'Checkbox + Text Area'. <br clear="all" />
<br clear="all" />
This text is displayed next to the checkbox as shown on the figure below. <br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-10-storefront.png"></div> </div> </p></td>
</tr>
<tr>
<td class='confluenceTd'> <b>Option may be unselected</b> </td>
<td class='confluenceTd'> If the value is YES, this option is allowed to remain unselected in the storefront. At the same time, this option in the storefront displays the text specified in the field "Text displayed when an option may be unselected." <br clear="all" />
<br clear="all" />
If the value is NO, this option must be selected at all times. <br clear="all" />
<br clear="all" />
<b>Example</b>: You sell T-shirts and you have three T-shirt options: Color, Size and Front Text. Front Text is the text that your customers want to put on the front of the T-shirt. Suppose that you offer two such messages: <b><em>Hello&#33;</em></b> and <b><em>How are YOU?</em></b> However, a person may want to buy your T-shirt with no message at all. In this case you should select <b>Option may be unselected = YES</b> thus permitting customers to select no messages to be put on their T-shirt. For this example, you can simply put "&#45; &#45;" in the field <b>Text displayed when an option may be unselected</b>. <br clear="all" /> </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Inventory Tracking</b> </td>
<td class='confluenceTd'> Inventory Tracking lets you define whether a certain option affects the inventory accounting. For example, you sell T-shirts of different color and sizes, and also offer to manually put messages on the front of those T-shirts. Thus, you have three product options: Color, Size and Front Text. Since the Color and Size options produce a unique combination of T-shirt which is stored in your stock, these options must have <b>Inventory Tracking = YES</b>. On the other hand, the Front Text option does not affect the inventory, so it should have <b>Inventory Tracking = NO</b>. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Add/Edit Option Values</b> </td>
<td class='confluenceTd'> The Add/Edit Option Values sections let you enter and edit options values. Suppose you've created a Size option. In the Edit Option Values section you enter the values for this option and specify how each value affects the product's price, weight, per item shipping cost and/or per item handling cost. <br clear="all" />
<br clear="all" />
When entering the value of change in price/weight/per item shipping cost/per item handling cost, please remember that this value increases or decreases the basic price/weight/per item shipping cost/per item handling cost of the product. <br clear="all" />
<br clear="all" />
For instance the <b>Sale Price (per item)</b> for a T-shirt equals $50. The S value for the Size option contains the price modifier of 8. This means that an S-size T-shirt of costs $58 ($50+$8). If the modifier is meant to decrease the price by $8, you should enter the value of &#45;8. <br clear="all" />
<br clear="all" />
The following figure illustrates adding a Size option. <br clear="all" />
<br clear="all" /> <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-add-edit-1.png"></div> </div> <br clear="all" />
<br clear="all" />
To select the default option value which will appear in the storefront by default, select the <b>Is default?</b> checkbox. <br clear="all" /> </td>
</tr>
</tbody></table>
<p>Click the <b>Update</b> button to update and save the current option values.
<br clear="all" />
<br clear="all" />
Click the <b>Add</b> button to add new option values.
<br clear="all" />
<br clear="all" />
Click the <b>Delete</b> button to delete option values.
<br clear="all" />
<br clear="all" />
Click the <b>Return</b> button to return to the Options page.
<br clear="all" /></p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>