<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Admin Members</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Admin Members</span>
        </div>
        <div class="pagecontent">

<p>The Admin Members page allows you to manage admin members' access to Avactis Shopping Cart. You can add and delete admin member accounts and change their system access permissions.</p>

<p>The page includes the following details for each admin member:</p>
<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Name</b> </td>
<td class='confluenceTd'> Admin member's name </td>
</tr>
<tr>
<td class='confluenceTd'> <b>E-mail</b> </td>
<td class='confluenceTd'> Admin member's   email address. Depending on permissions set for the account, this e-mail will   receive one or more of the following notifications: low stock levels, new   order placements, order status changes, and security. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Number of sign-ins</b> </td>
<td class='confluenceTd'> Number of   sign-ins recorded to date. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Last Logged In</b> </td>
<td class='confluenceTd'> Date and time of   last sign-in. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Created</b> </td>
<td class='confluenceTd'> Date and time   when the admin account was created. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Modified</b> </td>
<td class='confluenceTd'> Date and time   when the admin account was last modified. </td>
</tr>
</tbody></table>

<p>To edit account details for an admin member, click the admin member's name. Then adjust the settings in the window that opens. The availability of settings depends on the permissions set for each particular account. In the new window, click Edit to make changes or click Change Password to change the password for the account.</p>

<p>To create a new admin account, click Add. A new window is opened displaying the settings for the new account. After entering the required information, click Save.</p>

<p>To delete an admin member's account, select the corresponding checkbox and then click Delete. After you confirm deletion, the account will be deleted from Avactis Shopping Cart.</p>

<p>Depending on permissions set for your account, some of the actions described above may be unavailable.</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>