<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Catalog Management</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Catalog Management</span>
        </div>
        <div class="pagecontent">

<div class="panel" style="border-style: none; "><div class="panelContent">
<p><b>On this page:</b></p>
<style type='text/css'>/*<![CDATA[*/
div.rbtoc1180356661520 {margin-left: 0px;padding: 0px;}
div.rbtoc1180356661520 ul {list-style: none;margin-left: 0px;}
div.rbtoc1180356661520 li {margin-left: 0px;padding-left: 0px;}

/*]]>*/</style><div class='rbtoc1180356661520'>
<ul>
  <li><a href='#CatalogManagement-ProductTypes.'>Product Types.</a></li>
  <li><a href='#CatalogManagement-Categoriesandproducts.'>Categories and products.</a></li>
  <li><a href='#CatalogManagement-Categoriesandsubcategories.Whatisthecategorytree%3F'>Categories and subcategories. What is the category tree?</a></li>
</ul></div>
</div></div>

<p>Using the Catalog Management section you can set up a product catalog that will be made available to customers visiting your online store. The product catalog in Avactis Shopping Cart is a set of categories and products, which allows creation of complex Internet stores with hundreds and thousands of products on sale.</p>

<p>The main concepts used in the creation of the catalog are categories, products and product types. These concepts are described below.</p>


<h3><a name="CatalogManagement-ProductTypes."></a>Product Types.</h3>

<p>Imagine that you sell DVDsand Books in your store. Each of these products has attributes describing it. In this example, the attribute for Books is the ISBN (International Standard Book Number), which is not used when entering DVD details.<br/>
To facilitate processing of various kinds (types) of products, we introduced 'product types'. In this example we have two product types - DVDs and Books. The product type for the goods is entered only once. This facilitates the process of catalog creation, product search and comparison. The Manage Product Types section describes how to enter a new product type.</p>




<h3><a name="CatalogManagement-Categoriesandproducts."></a>Categories and products.</h3>

<p>Imagine that you own a huge bookstore with thousands of books in stock. The store is divided into departments, e.g. Finance, Small Business, E-Commerce. A book titled "Selling Online: How to Become a Successful E-Commerce Merchant" (ISBN - 0793145171) by Jim Carroll and Rick Broadhead is on sale in the E-Commerce department.<br/>
In the Avactis system this book is a Product. Products are any items that are delivered to a customer, such as books, shirts, software, electronic documents. The store's departments, e.g. Finance, Small Business, and E-Commerce are called categories in the Avactis software.</p>

<p>The <b>Manage Products</b> section allows you to edit, delete, move and add products in the catalog.</p>

<p>The <b>Manage Categories</b> section allows you to add and edit categories and subcategories.</p>




<h3><a name="CatalogManagement-Categoriesandsubcategories.Whatisthecategorytree%3F"></a>Categories and subcategories. What is the category tree?</h3>

<p>For instance, you sell books on Finance, Marketing, Small Business, E-Commerce. The Small Business category contains subcategories Bookkeeping, Franchises, and Mail Order, which may be represented as a category tree:<br/>
<div align="center"><div border="0" align="center"  ><img src="images.data/folders.gif"></div></div></p>

<p>In this example Finance, Small Business, and E-Commerce are 1st level categories in the category tree. Bookkeeping, Franchises, and Mail Order are 2nd level categories. At the same time, Bookkeeping, Franchises and Mail Order are subcategories of the Small Business category.<br/>
Generally, when we mention a category we imply all corresponding subcategories as well.<br/>
'Category' and 'subcategory' are always relative notions. For instance, in the above example we have categories Finance, Small Business, E-Commerce, Bookkeeping, Franchises, and Mail Order, while in the Small Business category we have subcategories Bookkeeping, Franchises, and Mail Order.</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>