<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Checkout Form Editor</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Checkout Form Editor</span>
        </div>
        <div class="pagecontent">
          <p>Checkout Form Editor lets you customize the list of attributes (fields) for Billing Info,  Shipping Info, Credit Card Info and Bank Account Information to be entered during Checkout. Using this page you can select which attributes are required when users complete their information. You can also choose to hide one or more attributes. For instance, if you do not need your customers to provide a telephone number, you can simply make the attribute invisible by setting Visibility for Contact Phone to NO. For more details, please click Page Help.</p>

<p>See below for the general view of the Checkout Form Editor page:</p>

<p><div border="0" align="center"  ><img src="images.data/checkout-form-editor.gif"></div></p>

<p>The Checkout Form Editor page has three sections: Billing Information, Shipping Information,  Credit Card Information and  Bank Account Information. Using this page you can edit the details of any attribute, which will affect the checkout process storefront.<br/>
Select an attribute in any group to edit it.</p>
<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Name</b> </td>
<td class='confluenceTd'> The name of the checkout info attribute that will display for your customers. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Description</b> </td>
<td class='confluenceTd'> A&nbsp;short description for the checkout info attribute, invisible to the user. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Visibility</b> </td>
<td class='confluenceTd'> If set to YES, the checkout info attribute will be visible to the user. If it is set to NO, the user will not see this checkout info attribute. For example, if you do not need your customers to provide a telephone number, just make the attribute invisible by setting Visibility for Contact Phone to NO. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Required</b> </td>
<td class='confluenceTd'> If set to YES, users will be required to enter this checkout info attribute. If it is set to NO, the user will be able to skip this attribute when completing Checkout. </td>
</tr>
</tbody></table>
<p><b>Note 1</b>: The State and Country attributes are related. State can be visible only if Country is set to be visible. Therefore, if you make Country invisible, State is made invisible automatically.<br/>
<b>Note 2</b>: If your online shipping costs calculation modules are activated, (UPS, USPS, FedEx, etc.), then some shipping information attributes (ZIP, City, etc.) will have to always be Required, since they are used to calculate shipping costs based on the shipping address. The same is true for Billing Info: certain payment modules require an e-mail address and a physical address; therefore, these attributes in Billing Info will have to always be Required.</p>

<h2><a name="CheckoutFormEditor-Editingattributes"></a>Editing attributes</h2>

<p>To edit an attribute, select it by clicking the corresponding radio button on the right-hand side of the page. When the line becomes highlighted, click the Edit button at the top of the section. The Edit Checkout Info Attribute window will open, in which you can edit any details of an attribute: display name, description, field visibility to users, and whether the field is Required.</p>

<h2><a name="CheckoutFormEditor-Sortingattributes"></a>Sorting attributes</h2>

<p>To modify the sequence of attributes inside a section, click the Sort button at the top of the desired section. The Sort Checkout Info window will open, in which you can edit the sequence of attributes. After you complete sorting attributes, the order of address fields shown to users in the storefront will match their order on the Checkout Page Info.</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>