<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Related Products</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Related Products</span>
        </div>
        <div class="pagecontent">
          <p>On the <b>Manage Related Products</b> page, you can add an unlimited number of related products for a product. This tells your customers about products they may be interested in addition to the product they are browsing, which can lead to added sales. For instance, a customer who is buying a notebook (laptop) could be interested in buying a mouse or a headset. To make this possible, you can add a mouse and/or headset as a related product to that notebook in your product catalog.</p>

<p>Here's how you can add a related product.</p>
<ol>
	<li>On the <b>Manage Related Products</b> page, use the <em>Product Navigator</em> to select the category with the related product and then select the related product.</li>
	<li>After selecting the product, click <em>Add</em>. The added product displays in the list of <em>Related Products</em>.</li>
	<li>You can select more than one related product from different categories as shown on the figure. Add them one by one using the <em>Add</em> button.<div border="0" align="absmiddle"  ><img src="Related_Products.data/Managing-Related-Products.png"></div></li>
	<li>After all related products are selected, click <em>Save</em> to store your changes. All changes will be saved in the database. To delete or sort the related products, click <em>Delete</em> or <em>Sort</em>, respectively.</li>
	<li>All the related products you've added in the Admin Area immediately display in the storefront (see figure). To display them related products in the storefront, use the tag <b>&lt;?php RelatedProducts(); ?&gt;</b>, which is available in the storefront templates for version 1.7.2 and later versions.<div border="0" align="absmiddle"  ><img src="Related_Products.data/Avactis-Sample-Store.png"></div></li>
</ol>

        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>