tinyMCE_GZ_init_settings = {
	plugins : 'advhr,table,preview,media,fullscreen,advimage,advlink,contextmenu',
	themes : 'avactis',
	languages : 'en',
	disk_cache : true,
	debug : false
};

tinyMCE_init_settings = {
        theme : "avactis",
        mode : "exact",
        plugins : "advhr,table,preview,media,fullscreen,advimage,advlink,contextmenu",
        width : "460", 
        height : "300", 
        theme_avactis_resize_horizontal : false,
        theme_avactis_resizing : true,
			file_browser_callback : "ajaxfilemanager",
	    fullscreen_new_window : false,
	    fullscreen_settings : {
		    theme_advanced_path_location : "top"
	    },
        debug : false,
        valid_elements: '*[*]',
        relative_urls: false,
        button_tile_map : true
    };

		function ajaxfilemanager(field_name, url, type, win) {
			var ajaxfilemanagerurl = "../../../../admin/tiny_mce/plugins/ajaxfilemanager/ajaxfilemanager.php";
			switch (type) {
				case "image":
					ajaxfilemanagerurl += "?type=img";
					break;
				case "media":
					ajaxfilemanagerurl += "?type=media";
					break;
				case "flash": //for older versions of tinymce
					ajaxfilemanagerurl += "?type=media";
					break;
				case "file":
					ajaxfilemanagerurl += "?type=files";
					break;
				default:
					return false;
			}
			var fileBrowserWindow = new Array();
			fileBrowserWindow["file"] = ajaxfilemanagerurl;
			fileBrowserWindow["title"] = "Ajax File Manager";
			fileBrowserWindow["width"] = "782";
			fileBrowserWindow["height"] = "440";
			fileBrowserWindow["close_previous"] = "no";
			tinyMCE.openWindow(fileBrowserWindow, {
			  window : win,
			  input : field_name,
			  resizable : "yes",
			  inline : "yes",
			  editor_id : tinyMCE.getWindowArg("editor_id")
			});
			
			return false;
		}
