<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

class CCacheInterface
{

    function free_memory($key) {}

    /**
     * Saves into cache value $value with key $key.
     * If key $key already exists in cache, the value of the key will be
     * changed to a new one.
     *
     * @param string $key Cache key
     * @param mixed $value Key value
     */
    function save($key, $value) { }

    /**
     * Adds value to the key into the cache. You can save several values for
     * one key. In this case method get($key) returns the array of saved
     * values.
     *
     * If the key doesn't exist in cache, the key will be created. In this
     * case, method get($key) returns the current value of the key.
     *
     * Warning: using method ($key), you need to check
     * whether a new value is an array or a scalar value.
     *
     * @param string $key Cache key
     * @param mixed $value Key value
     */
    function append($key, $value) { }

    /**
     * Returns from cache the value associated with the key. If the key
     * doesn't exist, value null will be returned.
     *
     * If only one value has been saved for the key, this value will be
     * returned "as is". If several values have been saved for the key, then
     * the array of all values will be returned.
     *
     * @param string $key Cache key
     * @return Cache kay value or null
     */
    function get($key) { }

    /**
     * Deletes the value from cache. It removes the key and its value.
     *
     * @param string $key Cache key
     */
    function reset($key) { }

    function clear() {}

}

?>