<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php


class CString
{

    function CString()
    {
		$this->ent_replace = array(
		'&lt;',
		'&gt;',
		'&amp;',
		'&quot;',
		'&nbsp;',
		'&iexcl;',
		'&cent;',
		'&pound;',
		'&curren;',
		'&yen;',
		'&brvbar;',
		'&sect;',
		'&uml;',
		'&copy;',
		'&ordf;',
		'&laquo;',
		'&not;',
		'&shy;',
		'&reg;',
		'&macr;',
		'&deg;',
		'&plusmn;',
		'&sup2;',
		'&sup3;',
		'&acute;',
		'&micro;',
		'&para;',
		'&middot;',
		'&cedil;',
		'&sup1;',
		'&ordm;',
		'&raquo;',
		'&frac14;',
		'&frac12;',
		'&frac34;',
		'&iquest;',
		'&Agrave;',
		'&Acute;',
		'&Acirc;',
		'&Atilde;',
		'&Auml;',
		'&Aring;',
		'&AElig;',
		'&Ccedil;',
		'&Egrave;',
		'&Eacute;',
		'&Ecirc;',
		'&Euml;',
		'&Igrave;',
		'&Iacute;',
		'&Icirc;',
		'&Iuml;',
		'&ETH;',
		'&Ntilde;',
		'&Ograve;',
		'&Oacute;',
		'&Ocirc;',
		'&Otilde;',
		'&Ouml;',
		'&times;',
		'&Oslash;',
		'&Ugrave;',
		'&Uacute;',
		'&Ucirc;',
		'&Uuml;',
		'&Yacute;',
		'&THORN;',
		'&szlig;',
		'&agrave;',
		'&aacute;',
		'&acirc;',
		'&atilde;',
		'&auml;',
		'&aring;',
		'&aelig;',
		'&ccedil;',
		'&egrave;',
		'&eacute;',
		'&ecirc;',
		'&euml;',
		'&igrave;',
		'&iacute;',
		'&icirc;',
		'&iuml;',
		'&eth;',
		'&ntilde;',
		'&ograve;',
		'&oacute;',
		'&ocirc;',
		'&otilde;',
		'&ouml;',
		'&divide;',
		'&oslash;',
		'&ugrave;',
		'&uacute;',
		'&ucirc;',
		'&uuml;',
		'&yacute;',
		'&thorn;',
		'&yuml;',
        '&mdash;',
        '&rsquo;'
		);

		$this->ent_with = array(
		'<',
		'>',
		'&',
		'"',
		chr(160),
		chr(161),
		chr(162),
		chr(163),
		chr(164),
		chr(165),
		chr(166),
		chr(167),
		chr(168),
		chr(169),
		chr(170),
		chr(171),
		chr(172),
		chr(173),
		chr(174),
		chr(175),
		chr(176),
		chr(177),
		chr(178),
		chr(179),
		chr(180),
		chr(181),
		chr(182),
		chr(183),
		chr(184),
		chr(185),
		chr(186),
		chr(187),
		chr(188),
		chr(189),
		chr(190),
		chr(191),
		chr(192),
		chr(193),
		chr(194),
		chr(195),
		chr(196),
		chr(197),
		chr(198),
		chr(199),
		chr(200),
		chr(201),
		chr(202),
		chr(203),
		chr(204),
		chr(205),
		chr(206),
		chr(207),
		chr(208),
		chr(209),
		chr(210),
		chr(211),
		chr(212),
		chr(213),
		chr(214),
		chr(215),
		chr(216),
		chr(217),
		chr(218),
		chr(219),
		chr(220),
		chr(221),
		chr(222),
		chr(223),
		chr(224),
		chr(225),
		chr(226),
		chr(227),
		chr(228),
		chr(229),
		chr(230),
		chr(231),
		chr(232),
		chr(233),
		chr(234),
		chr(235),
		chr(236),
		chr(237),
		chr(238),
		chr(239),
		chr(240),
		chr(241),
		chr(242),
		chr(243),
		chr(244),
		chr(245),
		chr(246),
		chr(247),
		chr(248),
		chr(249),
		chr(250),
		chr(251),
		chr(252),
		chr(253),
		chr(254),
		chr(255),
        '-',
        '`'
		);

		for($c=1;$c<256;$c++)
        {
		    array_push($this->ent_replace,'&#' . $c . ';');
		    array_push($this->ent_with,chr($c));
		}
    }

    /**
     * Is used to merge whitespace.
     * It merges many sequential whitespace characters into a single space.
     *
     * @param $string - The string you want to modify.
     * @return A string with condensed whitespace.
     */
    function mergeWhiteSpace($string)
    {
        // remove the whitespace from this text
        $string = str_replace("\n", " ", $string);
        $string = str_replace("\t", " ", $string);
        $string = str_replace("\r", " ", $string);
        $string = preg_replace("/\s+/", " ", $string);
        return $string;
    }

    /**
     * Removes HTML tags and HTML-characters from the specified string.
     *
     * @param string $str HTML text
     * @return string Plain text string
     */
    function stripHTML($str)
    {

        /*
         Removes carriage, returns and linefeeds only after HTML tags.
		 Otherwise manually stripping plaintext would corrupt it.
         */
		$str = preg_replace("'>(. ?|)(\n|\r)'si", ">", $str);
		$str = preg_replace("'>(\n|\r)'si", ">", $str);

        // Get rid of comment tags
        $str = preg_replace("'<!--(.*?)-->'si", "", $str);

        // Handle processing instructions separately from comments
        // fixing overly greedy tag to separate handling of comments and
        // processing instructions (ie <!DOCTYPE ... >
        $str = preg_replace("'<![^>]*?>'si", "", $str);

        // Get rid of everything inside script and head
        $str = preg_replace("'<script[^>]*?>.*?</script>'si", "", $str);
        $str = preg_replace("'<head[^>]*?>.*?</head>'si", "", $str);

        // Clean up any HTML tags that are left.
        $str = preg_replace("'<(.*?)>'si", "", $str);

        $str = str_replace($this->ent_replace,$this->ent_with,$str);

		return $str;
	}

    var $ent_replace;
    var $ent_with;
}

?>