<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 *
 * @package Cart
 * @author Alexander Girin
 */
class AddToCart
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * AddToCart constructor.
     */
    function AddToCart()
    {
    }

    /**
     * Adds the product to the cart.
     */
    function onAction()
    {
        global $application;
        $request = $application->getInstance('Request');

        $prod_id = $request->getValueByKey('prod_id');

        $data=array(
            'parent_entity' => 'product'
           ,'entity_id' => $prod_id
           ,'qty' => $request->getValueByKey('quantity_in_cart')
        );

            modApiFunc('Cart', 'addToCart', $data);
            $request = new Request();
            $request->setView(CURRENT_REQUEST_URL);
            $application->redirect($request);
        }
    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */


    /**#@-*/

}
?>