<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

class ManageProductTypes
{

    /**
     * @todo describe the function ->.
     */
    function output()
    {
        global $application;

        $this->TemplateFiller = $application->getInstance('TmplFiller');
        $application->registerAttributes(array(
            'EditLink'
           ,'TypeName'
           ,'TypeDescription'
        ));

        $result = '';
        $types = modApiFunc('Catalog', 'getProductTypes');
        foreach ($types as $id => $type)
        {
            $this->_type = $type;
            $result .= $this->TemplateFiller->fill("catalog/product_type_edit/", "manage.tpl.html", array());
        }

        return $result;
    }

    /**
     * @todo describe the function ->getTag.
     */
    function getTag($tag)
    {
    	global $application;
    	$value = null;
    	switch ($tag)
    	{
    		case 'EditLink':
            	$request = new Request();
            	$request->setAction('SetCurrentProductType');
            	$request->setView('EditProductType');
            	$request->setKey('type_id', $this->_type['id']);
            	$value = $request->getURL();
    			break;

    		case 'TypeName':
    		    $value = $this->_type['name'];
    			break;

            case 'TypeDescription':
                $value = '';
                if ($this->_type['description']!='')
                {
                    $value = '&nbsp;-&nbsp;'.$this->_type['description'];
                }
                break;

    		default:
    			break;
    	}
    	return $value;
    }

    var $TemplateFiller;
    var $_type;
}

?>