<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 *
 * @package Checkout
 * @author Vadim Lyalikov
 */
class StepIDIsNotSetHook
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * StepIDIsNotSet constructor.
     */
    function StepIDIsNotSetHook()
    {
    }

    /**
     *
     */
    function onHook()
    {
        global $zone;
        if ($zone == 'CustomerZone')
        {
            //Start checkout from the first step
            $step_id = 1;
            modApiFunc("Checkout", "changeCurrentPersonInfoVariant", "customerInfo" , "default");
            modApiFunc("Checkout", "changeCurrentPersonInfoVariant", "billingInfo" , "default");
            modApiFunc("Checkout", "changeCurrentPersonInfoVariant", "shippingInfo" , "default");

            modApiFunc("Checkout", "ProcessNewStepID", $step_id);
            modApiFunc("Checkout", "setLastPlacedOrderID", NULL);

            modApiFunc("Checkout", "clearAllNotMetPrerequisitesValidationResultsData");
        }
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */


    /**#@-*/

}
?>