<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * License Module, LicenseInfo View
 *
 * @package License
 * @author Alexander Girin
 */
class LicenseInfo
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * CurrencySettings constructor.
     */
    function LicenseInfo()
    {
        global $application;
        $this->MessageResources = &$application->getInstance('MessageResources');
    }


    /**
     *
     */
    function output()
    {
        global $application;

        $licenseInfo = modApiFunc("License", "getLicenseInfo");
        $template_contents = array(
                                   "LicenseKey" => $licenseInfo["license_key"]
                                  ,"LicenseStatus" => $licenseInfo["license_status"]
                                  ,"LicenseURL" => $licenseInfo["license_url"]
                                  ,"LicenseVersionType" => $licenseInfo["version_type"]
                                  ,"CurrentVersionType" => $licenseInfo["current_version_type"]
                                  ,"LicenseUpdatesExpire" => ($licenseInfo["license_update"] == "NA"? $licenseInfo["license_update"]:modApiFunc("Localization", "SQL_date_format", $licenseInfo["license_update"]))
                                  ,"LicenseSupportExpires" => ($licenseInfo["license_support"] == "NA"? "NA":modApiFunc("Localization", "SQL_date_format", $licenseInfo["license_support"]))
                                  ,"Message" => ($licenseInfo["message"]? $this->MessageResources->getMessage($licenseInfo["message"]):"")
                                  );
        $this->_Template_Contents = $template_contents;
        $application->registerAttributes($this->_Template_Contents);
        return modApiFunc('TmplFiller', 'fill', "license/license_info/","container.tpl.html", array());
    }


    function getTag($tag)
    {
        global $application;
        $value = null;
        if (array_key_exists($tag, $this->_Template_Contents))
        {
            $value = $this->_Template_Contents[$tag];
        }
        return $value;
    }
    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */


    /**#@-*/

}
?>