<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

_use(dirname(__FILE__).'/../payment_module_authorizenet_cc/payment_module_authorize_net_cc_api.php');

/**
 *
 * @package PaymentModuleAuthorizeNetCC
 * @author Alexander Girin
 */
class Payment_Module_AuthorizeNet_EC extends Payment_Module_AuthorizeNet_CC
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * PaymentModuleAuthorizeNet  constructor
     */

    function Payment_Module_AuthorizeNet_EC()
    {
    }


    function install()
    {
    }

    function isActive()
    {
        return false;
    }

    function getUid()
    {
        return "B6A3883D-513C-E564-8252-EC5DC9376FD1";
    }

    function getInfo()
    {
        global $application;
        $obj = &$application->getInstance('MessageResources',"payment-module-authorize-net-messages", "AdminZone");

        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $obj->getMessage("MODULE_NAME_EC"),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
                     "PreferencesAZViewClassName" => "authorize_net_ec_input_az",
                     "APIClassName" => __CLASS__
                    );
    }
    function uninstall()
    {
    }

    function getTables()
    {
        return array();
    }
}
?>