<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * @package PaymentModuleDIBSCC
 * @author Egor V. Derevyankin
 *
 */

class Payment_Module_DIBS_CC
{
    function Payment_Module_DIBS_CC()
    {
    }

    function install()
    {
    }

    function uninstall()
    {
    }

    function getUID()
    {
        return "D5E9B1AA-F206-44AB-BA45-16054B055246";
    }

    function getInfo()
    {
        global $application;
        $obj = &$application->getInstance('MessageResources',"payment-module-dibs-messages", "AdminZone");

        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $obj->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
                     "PreferencesAZViewClassName" => "CheckoutPaymentModuleDIBSCCInputAZ",
                     "APIClassName" => __CLASS__
                    );
    }

    function isActive()
    {
        return false;
    }

    function getTables()
    {
        return array();
    }
};

?>