<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleDirectDeposit
 * @author Vadim Lyalikov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Direct_Deposit', # this is also a main class name
        'shortName'     => 'PM_DIRECT_DEPOSIT',
        'groups'       => 'PaymentModule,Offline', // TODO change to "...,Offline in release"
        'description'  => '"Direct Deposit" method payment module. See payment documentation',
        'version'      => '0.1.4475',
        'author'       => 'Vadim Lyalikov',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_direct_deposit_api.php',
        'resFile'      => 'payment-module-direct-deposit-messages',

        'actions' => array
        (
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleDirectDepositInputAZ' => 'direct_deposit_input_az.php',
            ),
            'CustomerZone' => array
            (
            )
        )
    );
?>