<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 *
 * @package PaymentModuleepayCC
 * @author Yapharov Leonid
 */
class Payment_Module_epay_CC
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * PaymentModuleepay  constructor
     */
    function Payment_Module_epay_CC()
    {
    }

    function install()
    {
    }

    function isActive()
    {
        return false;
    }

    function getUid()
    {
        return "5C6A3A71-9703-D0A7-F8BD-A22E8317D664";
    }

    function getInfo()
    {
        global $application;
        $obj = &$application->getInstance('MessageResources',"payment-module-epay-messages", "AdminZone");

        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $obj->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
                     "PreferencesAZViewClassName" => "epay_cc_input_az",
                     "APIClassName" => __CLASS__
                    );
    }

    function uninstall()
    {
    }

    function getTables()
    {
        return array();
    }
}
?>