<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * @package PaymentModuleEWayCC
 * @author Egor V. Derevyankin
 */

class Payment_Module_EWay_CC
{
    function Payment_Module_EWay_CC()
    {}

    function install()
    {
    }

    function uninstall()
    {
    }

    function getTables()
    {
        return array();
    }

    function isActive()
    {
        return false;
    }

    function getUID()
    {
        return '639FFDCA-9C19-43B6-A54A-FFAAF2890F85';
    }

    function getInfo()
    {
        global $application;

        $MR = &$application->getInstance('MessageResources','payment-module-eway-messages','AdminZone');

        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $MR->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$MR->getMessage('MODULE_STATUS_ACTIVE')."</span>":$MR->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
                     "PreferencesAZViewClassName" => "CheckoutPaymentModuleEWayCCInputAZ",
                     "APIClassName" => __CLASS__
                    );
    }
}
?>