<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

define("MERCHANT_EQUIPMENT_STORE_URL", "secure.networkmerchants.com/gw/api/transact.php");

define("MERCHANT_EQUIPMENT_STORE_TEST_USERNAME", "demo");
//define("MERCHANT_EQUIPMENT_STORE_TEST_PASSWORD", "password");

/**
 *
 * @package PaymentModuleMerchantEquipmentStoreCC
 * @author Egor Makarov
 */
class Payment_Module_Merchant_Equipment_Store_CC
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     *  Payment_Module_Merchant_Equipment_Store_CC constructor
     */
    function Payment_Module_Merchant_Equipment_Store_CC()
    {
    }

    function install()
    {
    }

    function isActive()
    {
        return false;
    }

    function getUid()
    {
        return "BF2896EC-662B-A780-F1AB-14475CE6F0A4";
    }

    function getInfo()
    {
        global $application;
        $obj = &$application->getInstance('MessageResources',"payment-module-merchant-equipment-store-messages", "AdminZone");

        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $obj->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
                     "PreferencesAZViewClassName" => "CheckoutPaymentModuleMerchantEquipmentStoreCCInputAZ",
                     "APIClassName" => __CLASS__
                    );
    }

    function uninstall()
    {
    }

    function getTables()
    {
        return array();
    }
}
?>