<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 *
 * @package PaymentModulePaymateCC
 * @author Egor Makarov
 */
class Payment_Module_Paymate_CC
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Payment_Module_Paymate_CC constructor
     */
    function Payment_Module_Paymate_CC()
    {
    }

    function install()
    {
    }

    function isActive()
    {
        return false;
    }

    function getUid()
    {
        return "E121F9C3-3EF9-C0D0-2754-A625A969A759";
    }

    function getInfo()
    {
        global $application;
        $obj = &$application->getInstance('MessageResources',"payment-module-paymate-messages", "AdminZone");

        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $obj->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
                     "PreferencesAZViewClassName" => "CheckoutPaymentModulePaymateCCInputAZ",
                     "APIClassName" => __CLASS__
                    );
    }

    function uninstall()
    {
    }

    function getTables()
    {
        return array();
    }
}
?>