<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * Shipping Module "United Parcel Service"
 *
 * @package ShippingModuleUPS
 * @author Egor V. Derevyankin
 */

class Shipping_Module_UPS
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * ShippingModuleUPS  constructor
     */
    function Shipping_Module_UPS()
    {
    }

	function getUID()
	{
		return "B326C2B6-5709-42C2-9BCC-790A77CB7A0A";
	}

    /**
     * @return Info about this shipping module
     */
    function getInfo()
    {

        global $application;
        $obj = &$application->getInstance('MessageResources',"shipping-module-ups-messages", "AdminZone");

        return array("GlobalUniqueShippingModuleID" => $this->getUID(),
                     "Name"        => $obj->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>", //NOT for active/inactive.
                     "PreferencesAZViewClassName" => "ups_input_az",
                     "APIClassName" => __CLASS__
                    );
    }

    /**
     * Module installator
     */
    function install()
    {
    }

    /**
     * @return true if module is active or false if is not
     */
    function isActive()
    {
        return false;
    }

    /**
     * Uninstall the module.
     */
    function uninstall()
    {
    }
}
?>