<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * ups_input_az view
 *
 * @package ShippingModuleUPS
 * @author Egor V. Derevyankin
 */
class ups_input_az
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Modules_Manager constructor
     */
    function ups_input_az()
    {
        global $application;
        $this->MessageResources = &$application->getInstance('MessageResources',"shipping-module-ups-messages", "AdminZone");
        $this->mTmplFiller = &$application->getInstance('TmplFiller');
    }

    function output()
    {
        global $application;

        $template_contents = array(
                 "ModuleType"                => $this->MessageResources->getMessage('MODULE_TYPE')
                ,"ModuleName"                => $this->MessageResources->getMessage('MODULE_NAME')
                ,"FreeVersionMessage"        => $this->MessageResources->getMessage('FREE_VERSION_MESSAGE')
        );

        $this->_Template_Contents = $template_contents;
        $application->registerAttributes($this->_Template_Contents);
        return $this->mTmplFiller->fill("shipping_module_ups/", "list.tpl.html",array());
    }

    /**
     * @param $tag name of the requested tag
     * @return value of the tag
     */
    function getTag($tag)
    {
        return getKeyIgnoreCase($tag, $this->_Template_Contents);
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */
    var $_Template_Contents;
    var $MessageResources;
    /**#@-*/
}
?>