<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

class SystemLogsView
{

    function SystemLogsView()
    {
        //                        ,                      .
        $this->mTmplFiller = &new TmplFiller(dirname(dirname(__FILE__)).'/templates_az/');

        //                                                                      
        //                                  
        /*
        global $application;
        $obj = &$application->getInstance('MessageResources', modApiFunc("Modules_Manager","getResFileByShortName", 'SL'), 'AdminZone');
        echo $obj->getMessage('DeltaMemoryFromFirst');
        */
    }

    function output()
    {
        global $application;

        $application->registerAttributes(
                                            array(
                                                    'Items',
                                                    'LogInfo_Time',
                                                    'LogInfo_URL',
                                                    'Local_Key',
                                                    'Local_Value',
                                                    'Local_Toggled_Block_Id',
                                                    'Local_Toggled_Block_Short_Text',
                                                    'Local_Toggled_Block_Full_Text',
                                                    'Local_LogMessages',
                                                    'Local_LogMessagesBlockId',
                                                    'Local_LogInfoTime',
                                                    'Local_LogMsgTime',
                                                    'Local_LogMsgDeltaTimeFromFirst',
                                                    'Local_LogMsgDeltaTimeFromLast',
                                                    'Local_LogMsgMemoryUsage',
                                                    'Local_LogMsgDeltaMemoryFromFirst',
                                                    'Local_LogMsgDeltaMemoryFromLast',
                                                    'Local_LogMsgStatus',
                                                    'Local_LogMsgText',
                                                    'Local_BackgroundColor'
                                                 )
                                        );
        return $this->mTmplFiller->fill("system-logs-view/", "container.tpl.html",array());
    }

    function outputItems()
    {
        $logInfoList = modApiFunc('SystemLog','getLogInfoList');
        $output = '';
        foreach($logInfoList as $logInfoItem)
        {
            $this->_data = array();
            $this->_data['Local_LogMessagesBlockId'] = $logInfoItem['id'].'_logmessages';
            $timestamp = round($logInfoItem['time']);
            $microsec = round(($logInfoItem['time'] - floor($logInfoItem['time'])) * 10000);
            $this->_data['Local_LogInfoTime'] = modApiFunc("Localization", "timestamp_date_format",(int)$timestamp).', '.modApiFunc("Localization", "timestamp_time_format",(int)$timestamp).'.'.$microsec;

            $this->_currentLogInfoItem = $logInfoItem;
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-first-line.tpl.html",array());

            $this->_local_key = xmsg('SL','Session');
            $this->_local_value = $logInfoItem['sess_name'] .' : '. $logInfoItem['sess_id'];
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-items.tpl.html",array());

            $this->_local_key = xmsg('SL','RemoteHost');
            $this->_local_value = $logInfoItem['remote_host'];
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-items.tpl.html",array());

            $this->_local_key = xmsg('SL','RemoteAddr');
            $this->_local_value = $logInfoItem['remote_addr'];
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-items.tpl.html",array());

            $this->_local_key = xmsg('SL','_GET');
            $this->_data['Local_Toggled_Block_Id'] = $logInfoItem['id'].'_get';
            $this->_data['Local_Toggled_Block_Short_Text'] = prepareHTMLDisplay(substr($logInfoItem['get_data'], 0, 100));
            $this->_data['Local_Toggled_Block_Full_Text'] = prepareHTMLDisplay(trim($logInfoItem['get_data']));
            $this->_local_value = $this->mTmplFiller->fill("system-logs-view/", "toggled-block.tpl.html",array());
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-items.tpl.html",array());

            $this->_local_key = xmsg('SL','_POST');
            $this->_data['Local_Toggled_Block_Id'] = $logInfoItem['id'].'_post';
            $this->_data['Local_Toggled_Block_Short_Text'] = prepareHTMLDisplay(substr($logInfoItem['post_data'], 0, 100));
            $this->_data['Local_Toggled_Block_Full_Text'] = prepareHTMLDisplay(trim($logInfoItem['post_data']));
            $this->_local_value = $this->mTmplFiller->fill("system-logs-view/", "toggled-block.tpl.html",array());
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-items.tpl.html",array());

            $this->_local_key = xmsg('SL','_COOKIE');
            $this->_data['Local_Toggled_Block_Id'] = $logInfoItem['id'].'_cookie';
            $this->_data['Local_Toggled_Block_Short_Text'] = prepareHTMLDisplay(substr($logInfoItem['cookie_data'], 0, 100));
            $this->_data['Local_Toggled_Block_Full_Text'] = prepareHTMLDisplay(trim($logInfoItem['cookie_data']));
            $this->_local_value = $this->mTmplFiller->fill("system-logs-view/", "toggled-block.tpl.html",array());
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-items.tpl.html",array());

            $this->_local_key = xmsg('SL','_SESSION');
            $this->_data['Local_Toggled_Block_Id'] = $logInfoItem['id'].'_session';
            $this->_data['Local_Toggled_Block_Short_Text'] = prepareHTMLDisplay(substr($logInfoItem['session_data'], 0, 100));
            $this->_data['Local_Toggled_Block_Full_Text'] = prepareHTMLDisplay(trim($logInfoItem['session_data']));
            $this->_local_value = $this->mTmplFiller->fill("system-logs-view/", "toggled-block.tpl.html",array());
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-items.tpl.html",array());

            $this->_data['Local_LogMessages'] = $this->outputLogMessagesList($logInfoItem['id']);
            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-messages-container.tpl.html",array());

            $output .= $this->mTmplFiller->fill("system-logs-view/", "separator.tpl.html",array());
        }
        return $output;
    }

    function outputLogMessagesList($info_id)
    {
        $prevMemory = null;
        $firstMemory = null;
        $prevTime = null;
        $firstTime = null;
        $output = '';
        $logs = modApiFunc('SystemLog', 'getLogsChain', $info_id);
        $backgroundColors = array('#F0F0F0','#FFFFFF');
        reset($backgroundColors);
        $currentColor = current($backgroundColors);

        foreach($logs as $msg)
        {
            if ($prevMemory == null)  $prevMemory  = $msg['memory'];
            if ($firstMemory == null) $firstMemory = $msg['memory'];
            if ($prevTime == null)    $prevTime    = $msg['time'];
            if ($firstTime == null)   $firstTime   = $msg['time'];

            $timestamp = round($msg['time']);
            $microsec = round(($msg['time'] - floor($msg['time'])) * 10000);
            $_data = array();
            $_data['Local_LogMsgTime'] = modApiFunc("Localization", "timestamp_time_format",(int)$timestamp).'.'.$microsec;
            $_data['Local_LogMsgMemoryUsage'] = modApiFunc("Localization", "format", $msg['memory'], 'number');
            $_data['Local_LogMsgStatus'] = $msg['status'];
            $_data['Local_LogMsgText'] = str_replace("\n",'<br>',prepareHTMLDisplay($msg['text']));
            $_data['Local_LogMsgDeltaMemoryFromFirst'] = modApiFunc("Localization", "format", $msg['memory'] - $firstMemory, 'number');
            $_data['Local_LogMsgDeltaTimeFromFirst'] = round($msg['time'] - $firstTime, 4);


            $_LogMsgDeltaMemoryFromLast = $msg['memory'] - $prevMemory;
            $_data['Local_LogMsgDeltaMemoryFromLast'] = modApiFunc("Localization", "format",$_LogMsgDeltaMemoryFromLast, 'number');
            if ($_LogMsgDeltaMemoryFromLast > 300*1024)
			{
			     $_data['Local_LogMsgDeltaMemoryFromLast'] = '<span style="color:red;font-weight:bold;">'.$_data['Local_LogMsgDeltaMemoryFromLast'].'</span>';
			}
            else if ($_LogMsgDeltaMemoryFromLast > 100*1024)
            {
                 $_data['Local_LogMsgDeltaMemoryFromLast'] = '<span style="color:red;">'.$_data['Local_LogMsgDeltaMemoryFromLast'].'</span>';
            }
            else if ($_LogMsgDeltaMemoryFromLast > 50*1024)
            {
                 $_data['Local_LogMsgDeltaMemoryFromLast'] = '<span style="color:black;">'.$_data['Local_LogMsgDeltaMemoryFromLast'].'</span>';
            }
            else if ($_LogMsgDeltaMemoryFromLast < 0)
            {
                 $_data['Local_LogMsgDeltaMemoryFromLast'] = '<span style="color:green;">'.$_data['Local_LogMsgDeltaMemoryFromLast'].'</span>';
            }


            $_LogMsgDeltaTimeFromLast = round($msg['time'] - $prevTime, 4);
            if ($_LogMsgDeltaTimeFromLast > 0.5)
            {
                $_LogMsgDeltaTimeFromLast = '<span style="color:red;font-weight:bold;">'.$_LogMsgDeltaTimeFromLast.'</span>';
            }
            else if ($_LogMsgDeltaTimeFromLast > 0.1)
            {
                $_LogMsgDeltaTimeFromLast = '<span style="color:red;">'.$_LogMsgDeltaTimeFromLast.'</span>';
            }
            else if ($_LogMsgDeltaTimeFromLast > 0.05)
            {
                $_LogMsgDeltaTimeFromLast = '<span style="color:black;">'.$_LogMsgDeltaTimeFromLast.'</span>';
            }
            $_data['Local_LogMsgDeltaTimeFromLast'] = $_LogMsgDeltaTimeFromLast;

            $_data['Local_BackgroundColor'] = $currentColor;
            $currentColor = next($backgroundColors);
            if ($currentColor === false)
            {
                reset($backgroundColors);
                $currentColor = current($backgroundColors);
            }

            $prevMemory = $msg['memory'];
            $prevTime   = $msg['time'];

            $output .= $this->mTmplFiller->fill("system-logs-view/", "log-info-messages-item.tpl.html", $_data);

        }

        return $output;
    }

    function getTag($tag)
    {
        global $application;
        $value = null;
        switch($tag)
        {
            case 'Items':
                $value = $this->outputItems();
                break;

            case 'Local_Key':
                $value = $this->_local_key;
                break;

            case 'Local_Value':
                $value = $this->_local_value;
                break;

            default:
                list($tag_prefix, $tag_name) = explode('_',$tag);
                if ($tag_prefix == 'LogInfo')
                {
                    $value = getKeyIgnoreCase($tag_name, $this->_currentLogInfoItem);
                }
                else
                {
                    $value = getKeyIgnoreCase($tag, $this->_data);
                }
        }
        return $value;
    }

    var $_Template_Contents;
    var $_currentLogInfoItem;
    var $_local_key;
    var $_local_value;
    var $_data;
}

?>