<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * Core Initialization
 *
 * @package Core
 */

global $zone;
$zone = 'CustomerZone';

include( dirname(__FILE__) . '/app_init.php' );

$usr = &$application->getInstance( 'users' );

$usr->setZone('CustomerZone');

$session =  &$application->getInstance( 'Session' );
$current_file = basename($_SERVER['PHP_SELF']);
if ((bool)!modApiFunc("Configuration", "getValue", "store_online"))
{
    if ((isset($_SERVER["QUERY_STRING"]) && $_SERVER["QUERY_STRING"] == modApiFunc("Configuration", "getValue", "store_offline_key")) ||
        (isset($_SERVER["REQUEST_URI"]) && substr($_SERVER["REQUEST_URI"], strpos($_SERVER["REQUEST_URI"], "?")+1) == modApiFunc("Configuration", "getValue", "store_offline_key")))
    {
        if (!$session->is_Set("DEBUG_MODE"))
        {
            $session->set("DEBUG_MODE", "");
        }
    }
    if (!$session->is_Set("DEBUG_MODE"))
    {
        if ($current_file != basename($application->getPagenameByViewname('Closed')))
        {
            log_debug('Storefront Closed - Redirecting to close page');
            $request = &new Request();
            $request->setView('Closed');
            $application->redirect($request);
        }
    }
    else
    {
        if ($current_file == $application->getPagenameByViewname('Closed'))
        {
            $request = &new Request();
            $request->setView('Index');
            $application->redirect($request);
        }
    }
}
else
{
    if ($session->is_Set("DEBUG_MODE"))
    {
        $session->un_Set("DEBUG_MODE");
    }
    if ($current_file == basename($application->getPagenameByViewname('Closed')))
    {
        $request = &new Request();
        $request->setView('Index');
        $application->redirect($request);
    }
}

$application->outputTagErrors();

if ( $usr->isUserSignedIn() == FALSE )
{
    # redirect to Users_CustomerLogin
    # exit();
}

$application->processAction();

$application->redirectToAnotherProtocol();

log_debug('Initialization Done, Starting Page Output');

?>