<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Bestsellers</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Bestsellers</span>
        </div>
        <div class="pagecontent">
          <p>On the Bestsellers page you can define a list of best-selling products in the selected category. You can define this product list both manually and automatically (based on sales statistics). The products may also be selected in the mixed mode, wherein part of best-selling products is defined manually, while the remaining part is defined automatically on the basis of sales statistics.</p>

<p>To define the best-selling product list manually, select a category the product belongs to under the Add Products section, and then highlight the product. Click the Add button. The selected product will be displayed in the Bestsellers list. If necessary, you can select several products for the Bestsellers list.</p>

<p>If you wish to add products to the Bestsellers category on the basis of sales statistics, please use the Bestellers settings.</p>

<h2><a name="Bestsellers-Bestellerssettings"></a>Bestellers settings</h2>

<p><b>Add bestsellers on the basis of sales statistics.</b> If this option is set to 'Yes', products will be added automatically on the basis of sales statistics. In the storefront statistics-based bestsellers are always displayed under the products that were added to the Bestsellers categories manually.</p>

<p><b>Quantity.</b> Defines the number of products to be displayed in the storefront.</p>

<p><b>Period.</b> Defines the period to be taken into account for sales statistics purposes.</p>

<p><b>Add bestsellers from nested categories.</b> By default, only the products in the selected category will be added to the Bestsellers list. If the 'Add bestsellers from nested categories' option is set to 'Yes', best-selling products from nested categories will be taken into account as well.</p>

<p>To save all changes, click the Save button. The selected products will be displayed in the Bestsellers section of your online store.</p>

<p>A sample Bestsellers section layout in the online storefront is shown below (your storefront may look different depending on actual design; this figure is shown as an example only). The Bestsellers section of the online storefront is displayed using the <b>&lt;?php Bestsellers(); ?&gt;</b> tag available in the pages of default store version 1.8.x and above.</p>

<p><div border="0" align="center"  ><img src="Bestsellers.data/bestsellers.png"></div><br/>
&nbsp;</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
  </body>
</html>