<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Data Backup & Restore</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Data Backup & Restore</span>
        </div>
        <div class="pagecontent">
          <p>In the process of operating an online store, valuable data is generated which, if lost, could cause severe damage to your business. The Backup page is there to ensure the security of your data. On the Backup page you can create backups of your system as well as restore your system from previously created backup files.</p>

<p>On this page you can download backup archives from the server to your PC. This allows you to have a backup database on hand in the event of server failure.</p>

<p>The Backup process makes backup copies of the following data:</p>
<ul>
	<li>The product catalog, including all images and descriptions;</li>
	<li>The orders (including all the Customers' data, comments, changes in order status and payment status, etc);</li>
	<li>All the store settings;</li>
</ul>


<p>You can manage the Backup process by using the following buttons and options:</p>
<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Create</b> </td>
<td class='confluenceTd'> This allows you to perform an online store backup. Clicking the button brings up a window in which you can start the backup procedure. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Download</b> </td>
<td class='confluenceTd'> This lets you download the selected backup files to your PC. <br clear="all" />
<br clear="all" />
<font color="#ff0000"><b>IMPORTANT: When using the Download command, only the database backup files are copied to your PC. If you want to download product images and product categories, download them separately. The images are stored in the folder avactis-system/backup/ on the server on which your online store is installed.</b></font> </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Restore</b> </td>
<td class='confluenceTd'> This lets you restore your online store from previously created backup files. To restore, select the appropriate file and click Restore. A new window is displayed in which you can start the restoring procedure. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Delete</b> </td>
<td class='confluenceTd'> This allows you to delete previously created backup files. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>File/Comments</b> </td>
<td class='confluenceTd'> This option is used to add comments on backups and to obtain detailed information about a backup. </td>
</tr>
</tbody></table>

<p><br clear="all" /></p>

<table cellpadding='5' width='85%' cellspacing='8px' class='noteMacro' border="0" align='center'><colgroup><col width='24'><col></colgroup><tr><td><b class="strong">NOTES</b><br />
<ol>
	<li>For data security purposes, it is recommended to perform backup at regular time intervals - once a day/week/month, etc, depending on the size of your data and on how quickly it changes.</li>
	<li>It is recommended to download backup files to your PC at regular time intervals to prevent loss of data in the event of server failure. In case a server failure occurs, you will be able to restore the online store from the backup files that were saved to your PC.</li>
</ol>
</td></tr></table>

<p><br clear="all" /></p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
</body>
</html>