<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>E-mail Notifications</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">E-mail Notifications</span>
        </div>
        <div class="pagecontent">
          <p>The E-mail Notifications page is used to manage how e-mail notifications regarding orders and payments are sent.</p>

<p>The following types of notifications can be sent:</p>
<ul>
	<li>When a new order is received;</li>
	<li>When there is a change in the order status (In Progress, Ready to Ship, Shipped, Cancelled, Declined, Completed);</li>
	<li>When there is a change in the payment status (Waiting, Fully Paid, Declined).</li>
</ul>


<p>You may create any number of notifications according to your online store's policies. Notifications may be sent out to any number of persons; notifications can be sent when a new order is received or when the status of an order or payment is changed.</p>

<p>The following buttons and options are used to manage e-mail notification settings:</p>

<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Add</b> </td>
<td class='confluenceTd'> You can add a new rule (event) for a notification. Clicking this button brings up a window in which you can enter the body of the notification and define the event that will trigger the notification to be sent. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Edit</b> </td>
<td class='confluenceTd'> This allows you to edit a previously created notification. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Delete</b> </td>
<td class='confluenceTd'> This lets you delete a previously created notification. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Notification Name</b> </td>
<td class='confluenceTd'> The name of the notification which briefly describes the nature of the notification. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Mail Subject</b> </td>
<td class='confluenceTd'> This is the subject of the notification e-mail. The E-Mail Subject is included in the e-mail and is visible to the recipient. The format {InfoTag} is supported in the E-mail Subject. For example, if the E-Mail Subject contains the tag {OrderID}, the recipient will see an actual ID of his/her order. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Send From</b> </td>
<td class='confluenceTd'> This defines the sender of the e-mail notification. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>On Action</b> </td>
<td class='confluenceTd'> This defines the action that triggers the notification to be sent. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Active</b> </td>
<td class='confluenceTd'> This setting displays the status of e-mail notifications. A YES setting means that the selected notification rule is active. A NO setting means that no notifications are being sent based on the selected rule. To change the status of a notification, click the Edit button to bring up the dialog for editing notifications. </td>
</tr>
</tbody></table>

        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
</body>
</html>