<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Export Products</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Export Products</span>
        </div>
        <div class="pagecontent">
          <p>The Export Products page lets you export your products catalog into a CSV file. You can then edit the CSV file using a spreadsheet editor such as MS Excel or other similar tools. An edited CSV file can be imported back into the products catalog by using the Import feature. This offers a much quicker way to update your products catalog.
<br clear="all" />
<br clear="all" />
<b>Step 1 of 3. Select Category</b></p>

<p>In this step, you should choose a category to export. Select the category using the <b>Category to export</b> box.</p>

<p>If you want to export subcategories as well, select the checkbox <b>"Include subcategories?"</b></p>

<p>The root category is selected by default (usually this is Home), including all of its subcategories. This implies that the entire products catalog is to be exported. <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/export-products-1.png"></div> </div></p>
<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Category to export</b> </td>
<td class='confluenceTd'> This is the category whose products will be exported. If you want to export its subcategories as well, select the checkbox "Include subcategories?" </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Include subcategories?</b> </td>
<td class='confluenceTd'> If this checkbox is selected, all subcategories contained in the category selected to export will also be exported. </td>
</tr>
</tbody></table>
<p><br clear="all" />
<br clear="all" />
<b>Step 2 of 3. Select Attributes to Export</b></p>

<p>In this step, you select which product attributes should be exported. If some of the product data is not required to be exported, simply clear the checkbox for that attribute.</p>

<p>CSV file is a text file, so images are exported separately. If you choose to export images, the shopping cart software will let you copy them in a special folder, compress them into an archive file, or download to a local computer. The images can then be modified, re-compressed and uploaded to the remote server. Compression is performed using TAR archives, which are supported by most compression software. If your compression software doesn't handle tar archives, you can download a free tar archive viewer at <a href="http://www.7-zip.org" title="Visit page outside Confluence">http://www.7-zip.org</a></p>

<p>To begin exporting, click the Start button. <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/export-products-2.png"></div> </div>
<br clear="all" />
<br clear="all" />
<b>Step 3 of 3. Export</b></p>

<p>In step 3, the export process is performed. Depending on the products catalog's size, this process may take from several seconds to over 10 minutes and more. Typically, exporting 1,000 products from an average server takes about 1-2 minutes.</p>

<p>The Export Log displays supporting information about the export process. After the export process completes, the Download CSV link appears. If Image exporting was selected, the Download Images link appears as well. Click these links to download the exported data to your local computer. <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/export-products-3.png"></div> </div></p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>