<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Global Discounts</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Global Discounts</span>
        </div>
        <div class="pagecontent">
          <p>Global Discounts page lets you define discounts for the overall order. In other words, discounts set as Global Discounts are applied to the Order Total.</p>

<p>Global discount management is extremely streamlined. The figure below shows an example of Global Discounts page with defined discounts:<div align="center">

<p><div border="0" align="absmiddle"  ><img src="images.data/global-discounts.png"></div></p></div><br/>
Global discounts are displayed as a list. Each row specifies a discount in a given Order Subtotal range, which means that a discount is applied only if the customer's order subtotal falls into that range. If no string is found for an order (i.e. order subtotal doesn't fall in any of the ranges), then no discount is applied.<br/>
Any order can be switched on or off. If a discount is marked as disabled, it doesn't apply to any orders at all.</p>

<p>When creating a new discount, you need to define an Order Subtotal range to specify how this discount is applied, and then enter discount as an absolute monetary value or a rate calculated against order subtotal.</p>

<p>The resulting discount is subtracted from Order Total after calculating taxes and shipping cost.</p>

<p>Taxes and shipping cost are counted against Order Subtotal before discount.</p>

<p>After an order is completed, an administrator can view the value of global discount by accessing Order Info pages in Admin Zone.</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>