<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Manage Products</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Manage Products</span>
        </div>
        <div class="pagecontent">
          <p>The Manage Products page is one of the main tools for managing a product catalog. It includes several sections which facilitate product management and catalog navigation. From this page you can access and manage any product in your online catalog.</p>

<h2><a name="ManageProducts-MainConcepts"></a>Main Concepts</h2>




<h3><a name="ManageProducts-Categoriesandproducts."></a>Categories and products.</h3>

<p>Imagine that you own a huge bookstore with thousands of books in stock. The store is divided into departments, e.g. Finance, Small Business, E-Commerce. A book titled "Selling Online: How to Become a Successful E-Commerce Merchant" (ISBN - 0793145171) by Jim Carroll and Rick Broadhead is on sale in the E-Commerce department.<br/>
In the Avactis system this book is a Product. Products are any items that are delivered to a customer, such as books, shirts, software, electronic documents. The store's departments, e.g. Finance, Small Business, and E-Commerce are called categories in the Avactis software.</p>

<h3><a name="ManageProducts-ProductTypes."></a>Product Types.</h3>

<p>Imagine that you sell DVDsand Books in your store. Each of these products has attributes describing it. In this example, the attribute for Books is the ISBN (International Standard Book Number), which is not used when entering DVD details.<br/>
To facilitate processing of various kinds (types) of products, we introduced 'product types'. In this example we have two product types - DVDs and Books. The product type for the goods is entered only once. This facilitates the process of catalog creation, product search and comparison. The Manage Product Types section describes how to enter a new product type.</p>

<h2><a name="ManageProducts-ToolbarDescription"></a>Toolbar Description</h2>
<p><div align="center">
<p><div border="0" align="absmiddle"  ><img src="images.data/manage-prod.png"></div></p></div></p>


<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Current Category</b> </td>
<td class='confluenceTd'> This line shows the name of the current category and the path to this category from the root category. Using the links, you can move up the category tree, up to the root category. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Switch to Categories</b> </td>
<td class='confluenceTd'> Allows to switch to the category tree in order to obtain detailed information about categories and subcategories. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Go To Subcategory</b> </td>
<td class='confluenceTd'> The current category may have subcategories. Using the Go To Subcategory drop-down menu you can go to products belonging to the selected subcategory. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Add Product</b> </td>
<td class='confluenceTd'> Allows to add a new product to the current category. To add a new product, click the Add Product button. A new window will come up. Follow the instructions in this window. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Move</b> </td>
<td class='confluenceTd'> Allows to move products to another category. Prior to moving products you need to select the targeted products using check boxes. Then click the Move button. A new window for moving the products will come up. Follow the instructions in this window. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Delete</b> </td>
<td class='confluenceTd'> Allows to delete products. Prior to deleting products you need to select the targeted products using check boxes. Then click the Delete button. A new window for deleting the products will come up. Follow the instructions in this window. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Sort</b> </td>
<td class='confluenceTd'> Allows to sort products in the current category. To change the sorting of products, click the Sort button. A new window will come up. Follow the instructions in this window. </td>
</tr>
</tbody></table>
<p>You can also see how these commands work by launching our Video Tutorial.</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>