<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Payment Methods</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Payment Methods</span>
        </div>
        <div class="pagecontent">
<p>The <b>Payment Methods</b> page lets you manage the payment methods that you intend to offer for your store's customers.</p>

<p>Availability of payment methods from which you can choose depends on the version of Avactis Shopping Cart software. The full list of payment methods supported by the system is provided under <b>Available Payment Methods</b>. To select one or more payment methods and/or payment gateways, select them in the list and move them to the S<b>elected Payment Methods</b> box by clicking the <em>Right Arrow</em> button.</p>

<p><div border="0" align="center"  ><img src="images.data/payment-meth.gif"></div></p>

<p>Under <b>Selected Payment Methods</b>, the order of payment methods is identical to your customers will see when placing an order for a product. Click the <em>Up</em> and <em>Down</em> arrows to define the order in which these payment methods will be displayed to customers. To save any changes click <em>Save</em>.<br/>
Once saved, the selected payment methods will appear in the <b>Payment Methods</b> section. By default, the selected payment methods are inactive, that is, they are still unavailable to your customers. To start offering these payment methods, you need to customize the settings and activate the selected payment methods. To do so, click a payment method's name. A new window is displayed where you can customize and activate the payment method.</p>

<p>To remove a payment method from the list of available methods, select it in the <b>Selected Payment Methods</b> column and click the <em>Left</em> button to move it to <b>Available Payment Methods</b>. Click <em>Save</em>. The selected payment method will be removed from the list of <b>Payment Methods</b>.</p>

<p>For an illustration of how to customize and activate a payment method, please see the Video Tutorial.</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>