<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Product Options Inventory Tracking</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Product Options Inventory Tracking</span>
        </div>
        <div class="pagecontent">
          <p>The <b>Product Options Inventory Tracking</b> page lets you enter the Stock Keeping Numbers (SKU) and the number of products in stock for existing product option combinations. <div align="center"><div border="0" align="absmiddle"  ><img src="images.data/product-options-general-guidelines-3.png"></div> </div><br/>
You can generate existing product option combinations for inventory tracking either manually or automatically.</p>

<p>To <b>manually</b> enter SKUs and the stock number of items for a certain combination, you should define an option combination in the <b>New Entry</b> section, enter the SKU and the stock number of items for the selected combination, and then click <b>Add.</b> The selected combination is then added to the product options inventory tracking list.</p>

<p>To <b>automatically</b> create all possible option combinations for inventory tracking click the <b>(Re-)Build</b> button. All possible combinations will be automatically created for inventory tracking.</p>

<p><b>It must be noted that the system does not allow you to perform inventory tracking for those option combinations which involve an option with Inventory Tracking = NO. If a particular product option needs to affect inventory tracking, you should set its Inventory Tracking parameter to YES in the Manage Product Options section.</b></p>

<p>To delete an option combination, click the <b>Delete</b> button.</p>

<p>To update the changes you've made click the <b>Update</b> button.</p>

<p>To return to the <b>Product Options</b> page, click <b>Return</b>.</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>