<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>States</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">States</span>
        </div>
        <div class="pagecontent">
          <p>The <b>States</b> page lets you manage the list of active states (provinces, regions, counties, etc). If a state is active, residents of that state are allowed to place orders at your store.</p>

<p><div border="0" align="center"  ><img src="images.data/state-list.png"></div></p>

<p>To activate a state, select the corresponding checkbox in the Active column.</p>

<p>For example, if the checkbox for California is selected, then residents of California are able to order from your store, since Canada will be included in the list of countries during checkout.</p>

<p>If a state is inactive, then that state's residents will be able to browse through your store and add products to shopping cart. However, during checkout they will not be able to finish placing the order because their state will be missing from the list of accepted states.</p>

<p>By default, all states of all countries are active. Customers from any state of any country are allowed to place orders at your store.</p>

<p>The Default column lets you select the default state used for its country during checkout. If no default state is set, the first active state in the list is treated as the default state.</p>

<p>After you are finished making changes, click Update. All changes will be saved to the database.</p>

<p>To leave the page, click Cancel.</p>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>