<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Store Owner</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Store Owner</span>
        </div>
        <div class="pagecontent">

<p>The Store Owner's Profile is used to customize the contact information for the online store. These details are used in automated notifications sent to customers following order placement and during order processing. Store information can also be used when sending newsletters, offers, notices, etc to active customers.</p>

<p>To enter a piece of information, use the corresponding textboxes. Click the ? mark to get help on an item.</p>

<p>Click Update to save all changes made. To leave the page click Close.</p>
<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Name</b> </td>
<td class='confluenceTd'> This is the name of your online store, for example, "Avactis Online Store." <br clear="all" />
 This name appears in the From field of all e-mails sent to your customers. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Website</b> </td>
<td class='confluenceTd'> The URL of your online store. <br clear="all" />
 For example, <a href="http://www.avactis.com">http://www.avactis.com</a> </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Store e-mail address</b> </td>
<td class='confluenceTd'> The e-mail address of your store. This address also appears in the From field of all e-mails sent to your customers as well as to the administrator and the order-processing department. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Site administrator e-mail address</b> </td>
<td class='confluenceTd'> The site administrator's e-mail address. This address receives all automated messages from the online store. Automated messages include information about attempts at unauthorized access, low stock levels of products, new orders placed, etc. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Orders department e-mail address</b> </td>
<td class='confluenceTd'> The e-mail address of the order-processing department. This address receives all automated messages from the online store that concern low stock levels of products, new orders placed, changes in order status, etc. </td>
</tr>
</tbody></table>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>