<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <link type="text/css" rel="stylesheet" href="styles/pmwiki.css">
    <title>Store Settings</title>
  </head>
  <body>
    <div class="logo"><img src="logo.gif" width=146 height=42></div>
    <div class="pagebody">
        <div class="pageheader">
          <span class="pagetitle">Store Settings</span>
        </div>
        <div class="pagecontent">
          <div class="panel" style="border-style: none; "><div class="panelContent">
<p><b>On this page:</b></p>
<style type='text/css'>/*<![CDATA[*/
div.rbtoc1180356661847 {margin-left: 0px;padding: 0px;}
div.rbtoc1180356661847 ul {list-style: none;margin-left: 0px;}
div.rbtoc1180356661847 li {margin-left: 0px;padding-left: 0px;}

/*]]>*/</style><div class='rbtoc1180356661847'>
<ul>
  <li><a href='#StoreSettings-StoreConfiguration'>Store Configuration</a></li>
  <li><a href='#StoreSettings-Location%2FTaxes'>Location/Taxes</a></li>
  <li><a href='#StoreSettings-Localization'>Localization</a></li>
  <li><a href='#StoreSettings-CheckoutInfo'>Checkout Info</a></li>
</ul></div>
</div></div>
<p>The <b>Store Settings</b> page lets you configure your online store to best suit your needs. In particular, this section lets you set the store e-mail address, payment and shipping methods offered, tax rate settings, currency denotation, and other store settings.<br/>
In addition, from this page you can temporarily close your store. <div align="center">

<p><div border="0" align="absmiddle"  ><img src="images.data/store-settings.png"></div></p></div><br/>
Short descriptions for each of the sections are given below.</p>

<h2><a name="StoreSettings-StoreConfiguration"></a>Store Configuration</h2>

<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>General Settings</b> </td>
<td class='confluenceTd'> The General Settings page lets you manage the basic settings for your store. You can adjust the display options for items not in stock, the local store time, options for restricting site access in case of multiple "invalid password" errors, and options for displaying the contents of the shopping cart to the customer. You can also temporarily close your store (make it temporarily unavailable to visitors). </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Store Owner's Profile</b> </td>
<td class='confluenceTd'> In this section you can set the store details including the name of the store, its e-mail address, postal address(es) and phone numbers. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Payment Methods</b> </td>
<td class='confluenceTd'> This section lets you decide which payment methods are available to your customers. You can choose to make several payment methods available at the same time. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Shipping Methods</b> </td>
<td class='confluenceTd'> In this section you can set the shipping methods available to your customers. You can choose to make several shipping options available at the same time. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>E-mail Notifications</b> </td>
<td class='confluenceTd'> This page lets you to change e-mail notification settings and edit e-mail templates for e-mails automatically generated by system events. </td>
</tr>
</tbody></table>

<h2><a name="StoreSettings-Location%2FTaxes"></a>Location/Taxes</h2>

<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Countries</b> </td>
<td class='confluenceTd'> The Countries section identifies the list of countries whose residents are allowed to place orders at your store. If you do not want to allow orders from a particular country, you can exclude that country from the list. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>States</b> </td>
<td class='confluenceTd'> This section displays the list of states (regions, provinces, etc) for countries whose residents are allowed to shop at your store. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Taxes</b> </td>
<td class='confluenceTd'> This page lets you adjust the taxes and fees applied to orders in accordance with applicable tax legislation. </td>
</tr>
</tbody></table>

<h2><a name="StoreSettings-Localization"></a>Localization</h2>

<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Currency Format</b> </td>
<td class='confluenceTd'> On this page you can set the currency format for your store as appropriate for your country. Only one currency can be used at a time. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Date/Time Format</b> </td>
<td class='confluenceTd'> This page lets you adjust the format used for displaying date and time throughout your store. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Number Format</b> </td>
<td class='confluenceTd'> This section sets the format used for displaying positive and negative numbers. </td>
</tr>
<tr>
<td class='confluenceTd'> <b>Weight Unit</b> </td>
<td class='confluenceTd'> On this page you can set the format used for displaying weight units. Only one weight unit can be used at a time. </td>
</tr>
</tbody></table>

<h2><a name="StoreSettings-CheckoutInfo"></a>Checkout Info</h2>

<table class='confluenceTable'><tbody>
<tr>
<td class='confluenceTd'> <b>Checkout Form Editor</b> </td>
<td class='confluenceTd'> Lets you customize the list of attributes (fields) for Customer Info, Billing Info and Shipping Info to be entered during Checkout in the storefront. </td>
</tr>
</tbody></table>
        </div>
        <div class="pagefooter">
          <A HREF="Table_Of_Contents.php">Table of Contents</A>
        </div>
    </div>
    <div class="copyright">
     <hr noshade style="width: 400px; height: 1px;">
     <B>&copy; 2004-2007 Pentasoft Corp. All Rights Reserved.</B>
    </div>
<?php include('../../stat/stat.php'); ?>
  </body>
</html>