;<?php exit; ?>

;
;   Additional System Settings.
;   All keys must be different from config.php keys.
;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Charset
;;;;;
STOREFRONT_CHARSET = "ISO-8859-1"

ADMIN_ZONE_CHARSET = "ISO-8859-1"

NOTIFICATIONS_CHARSET = "ISO-8859-1"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; System
;;;;;
; May be ENABLED or DISABLED
WRITE_LOG = DISABLED

; "PHP_INI", "AVACTIS_CACHE_DIR" or "/abs/path/to/tmp"
SESSION_SAVE_PATH = "PHP_INI"

; "PHP_INI" or "<handler>" ("files")
SESSION_SAVE_HANDLER = "PHP_INI"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; System Log (DB)
;;;;;                                 

;                                               .
;                                 modules/systemlog/const.php,                           
;          (             ).
;             -        .
;                             ,                                       .
SYSLOG_STATUSES_TO_LOG = "ERROR, INFO, WARNING, DEBUG"

;                       URL' 
;      URL                                     ,                                           ,
;                    .
;       : SYSLOG_EXCLUDED_URL_FILTER = "/^.*admin\/system-logs.php.*$/"
;                  :
SYSLOG_EXCLUDED_URL_FILTER = "/^.*$/"

;                                .
;                          "               PHP          "                
;              -         
SYSLOG_MAX_INFOLOGS_QTY = "10"



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Cache files location (Optional)
;;;;;
; PATH_CACHE_DIR -                             ,                           cache      ,
;                                                         .
;   -         ,                         [installdir]/avactis-system/cache/
;PATH_CACHE_DIR = "/tmp/"




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Current Language Settings
;;;;;
;REPLACE_RESOURCES = DISABLED
LANGUAGE = eng




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; News Server Settings
;;;;;
NEWS_SERVER = http://news.avactis.com/
NEWS_GATEWAY = rss.php




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; E-Goods files Location (Optional)
;;;;;
;                             ,                                           
;                                                         .
; PRODUCT_FILES_DIR = "c:/var/_product_files/"




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Bouncer Default Settings
;;;;;

;           proxy.
;                   *_HOST -> host[:port]              !
;                    proxy                  ,                  *_HOST = ""
HTTP_PROXY_HOST = ""
HTTP_PROXY_USER = ""
HTTP_PROXY_PASS = ""

HTTPS_PROXY_HOST = ""
HTTPS_PROXY_USER = ""
HTTPS_PROXY_PASS = ""

; Default HTTP Protocol version.
; May be "1.0" or "1.1"
DEFAULT_HTTP_PROTOCOL_VERSION = "1.1"

; Default socket connection and stream timeout
; In seconds
DEFAULT_TIMEOUT = 5




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; SEFU (Search Engine Friednly URL) Settings
;;;;;
SEFU_CATEGORY_QUERY_STRING_SUFFIX = "pg{%page_number%}-cid{%category_id%}.html"
SEFU_PRODUCT_QUERY_STRING_SUFFIX = "pid{%product_id%}.html"




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Australia Post
;;;;;
AUP_HTTP_PROTOCOL_VERSION = "1.0"
AUP_SERVER_URL = "http://drc.edeliver.com.au/ratecalc.asp"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Canada Post
;;;;;
CPC_HTTP_PROTOCOL_VERSION = "1.0"
CPC_LIVE_SERVER_URL = "http://sellonline.canadapost.ca:30000/"
CPC_TEST_SERVER_URL = "http://206.191.4.228:30000/"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Freight101
;;;;;
FREIGHT101_HTTP_PROTOCOL_VERSION = "1.0"
FREIGHT101_SERVER_URL = "http://api.freight101.com/freight101.php"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; InterShipper
;;;;;
INTERSHIPPER_HTTP_PROTOCOL_VERSION = "1.0"
INTERSHIPPER_SERVER_URL = "https://www.intershipper.com/Interface/Intershipper/XML/v2.0/HTTP.jsp"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; USPS
;;;;;
USPS_HTTP_PROTOCOL_VERSION = "1.0"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Authorize.Net
;;;;;
AUTHORIZE_NET_DELIM_CHAR = ","
AUTHORIZE_NET_ENCAP_CHAR = ""


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Main Product Images: Auto Thumbnail Generation
;;;;;
JPEG_THUMBNAIL_QUALITY = "85"



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; __add_block_debug_info settings
;;;;;
; May be "YES" or "NO"
ADD_BLOCK_DEBUG_INFO = "NO"

; May be "CustomerZone" or "AdminZone" or "ALL"
ADD_BLOCK_DEBUG_INFO_ZONE = "CustomerZone"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Payment Module ProtX Direct background request
;;;;; socket read timeout
;;;;;
; Default socket connection and stream timeout
; In seconds
PROTX_DIRECT_DEFAULT_TIMEOUT = 20