<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @copyright Copyright &copy; 2005, Pentasoft Corp.
 * @package Core
 * @author Alexander Girin
 */

/**
 * Query type - create table.
 *
 * @access public
 */
define('DBQUERY_TYPE_CREATE', 'create');
/**
 * Query type - select.
*
* @access public
 */
define('DBQUERY_TYPE_SELECT', 'select');
/**
 * Query type - insert.
 *
 * @access public
 */
define('DBQUERY_TYPE_INSERT', 'insert');
/**
 * Query type - replace.
 *
 * @access public
 */
define('DBQUERY_TYPE_REPLACE', 'replace');
/**
 * Query type - multiple insert.
 *
 * @access public
 */
define('DBQUERY_TYPE_MULTIPLE_INSERT', 'minsert');

/**
 * Query type - update.
 *
 * @access public
 */
define('DBQUERY_TYPE_UPDATE', 'update');
/**
 * Query type - delete.
 *
 * @access public
 */
define('DBQUERY_TYPE_DELETE', 'delete');
/**
 * Query type - drop table.
 *
 * @access public
 */
define('DBQUERY_TYPE_TABLE_DELETE', 'drop');
/**
 * Query type - lock tables.
 *
 * @access public
 */
define('DBQUERY_TYPE_LOCK_TABLES', 'lock_tables');
/**
 * Query type - unlock tables.
 *
 * @access public
 */
define('DBQUERY_TYPE_UNLOCK_TABLES', 'unlock_tables');
/**
 * Data type - integer.
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_INT', 'int');
/**
 * Data type - float.
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_FLOAT', 'float');
/**
 * Data type - float.
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_DOUBLE', 'double');
/**
 * Data type - varchar(1).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_CHAR1', 'varchar(1)');
/**
 * Data type - varchar(5).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_CHAR5', 'varchar(5)');
/**
 * Data type - varchar(10).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_CHAR10', 'varchar(10)');
/**
 * Data type - varchar(20).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_CHAR20', 'varchar(20)');
/**
 * Data type - varchar(32).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_CHAR32', 'varchar(32)');
/**
 * Data type - varchar(50).

 * @access public
 */
define('DBQUERY_FIELD_TYPE_CHAR50', 'varchar(50)');
/**
 * Data type - varchar(100).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_CHAR100', 'varchar(100)');
/**
 * Data type - varchar(255).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_CHAR255', 'varchar(255)');
/**
 * Data type - decimal(12,2).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_DECIMAL12_2', 'decimal(12,2)');
/**
 * Data type - decimal(12,4).
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_DECIMAL12_4', 'decimal(12,4)');
/**
 * Data type - text.
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_TEXT', 'text');
/**
 * Data type - date.
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_DATE', 'date');
/**
 * Data type - datetime.
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_DATETIME', 'datetime');
/**
 * Data type - boolean.
 *
 * @access public
 */
define('DBQUERY_FIELD_TYPE_BOOL', 'char(5)');
define('DB_TRUE','true');
define('DB_FALSE','false');
define('DBQUERY_FIELD_BOOLEAN_DEFAULT_TRUE',  ' char(5) NOT NULL default "'.DB_TRUE. '"');
define('DBQUERY_FIELD_BOOLEAN_DEFAULT_FALSE', ' char(5) NOT NULL default "'.DB_FALSE.'"');
/**
 * Const for operator - '='.
 *
 * @access public
 */
define('DB_EQ','=');
/**
 * Const for operator - '!='.
*
 * @access public
 */
define('DB_NEQ','<>');
/**
 * Const for operator - '>'.
 *
 * @access public
 */
define('DB_GT','>');
/**
 * Const for operator - '<'.
 *
 * @access public
 */
define('DB_LT','<');
/**
 * Const for operator - '>='.
 *
 * @access public
 */
define('DB_GTE','>=');
/**
 * Const for operator - '<='.
 *
 * @access public
 */
define('DB_LTE','<=');
/**
 * Const for operator - 'LIKE'.
 *
 * @access public
 */
define('DB_LIKE','LIKE');
/**
 * Const for operator - 'NOT LIKE'.
 *
 * @access public
 */
define('DB_NLIKE','NOT LIKE');
/**
 * Const for operator - 'REGEXP'.
 *
 * @access public
 */
define('DB_REGEXP','REGEXP');
/**
 * Const for operator - 'NOT REGEXP'.
 *
 * @access public
 */
define('DB_NOT_REGEXP','NOT REGEXP');
/**
 * Const for operator - 'IS NULL'.
 *
 * @access public
 */
define('DB_NULL','IS NULL');
/**
 * Const for operator - 'IS NOT NULL'.
 *
 * @access public
 */
define('DB_NNULL','IS NOT NULL');
/**
 * Const for operator - 'IN'.
 * @access public
 */
define('DB_IN','IN');
/**
 * Const for operator - 'NOT IN'.
 * @access public
 */
define('DB_NIN','NOT IN');
/**
 * Const for operator - 'AND'.
 *
 * @access public
 */
define('DB_AND','AND');
/**
 * Const for operator - 'OR'.
 *
 * @access public
 */
define('DB_OR','OR');
/**
 * Const for operator - 'NOT'.
 *
 * @access public
 */
define('DB_NOT','NOT');
/**
 * Const for operator - 'BETWEEN'.
 *
 * @access public
 */
define('DB_BETWEEN','BETWEEN');
/**
 * Constant - '('.
 *
 * @access public
 */
define('DB_OpenSect','(');
/**
 * Constant ')'.
 *
 * @access public
 */
define('DB_CloseSect',')');
/**
 * Constant 'MYSQL_NUM'.
 *
 * @access public
 */
define('QUERY_RESULT_NUM', MYSQL_NUM);
/**
 * Constant 'MYSQL_ASSOC'.
 *
 * @access public
 */
define('QUERY_RESULT_ASSOC', MYSQL_ASSOC);
/**
 * Constant 'MYSQL_BOTH'.
 *
 * @access public
 */
define('QUERY_RESULT_BOTH', MYSQL_BOTH);
/**
 * Constant 'READ'.
 *
 * @access public
 */
define('DB_LOCK_MODE_READ', 'READ');
/**
 * Constant 'READ LOCAL'.
 *
 * @access public
 */
define('DB_LOCK_MODE_READ_LOCAL', 'READ LOCAL');
/**
 * Constant 'WRITE'.
 *
 * @access public
 */
define('DB_LOCK_MODE_WRITE', 'WRITE');
/**
 * Constant 'LOW_PRIORITY WRITE'.
 *
 * @access public
 */
define('DB_LOCK_MODE_LOW_PRIORITY_WRITE', 'LOW PRIORITY WRITE');

/**
 * DB_MySQL class is used to work on MySQL DMBS.
 *
 * Long Description.
 *
 * @todo finish the functions on this page
 * @access public
 * @author Alexandr Girin
 * @package Core
 */
class DB_MySQL
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * DB_MySQL class constructor.
     *
     * The main methods of DB_MySQL are:
     *      DB_MySQL::getDB_Result($QueryData, $result_type) is used to execute and get a data set for queries.
     *      As $QueryData parameter, the object of the classes DB_SELECT, DB_INSERT etc. is transferred,
     *      $result_type, the type of returned value is transferred: QUERY_RESULT_NUM - query result as a numeric array,
     *      QUERY_RESULT_ASSOC - query result as an associative array, QUERY_RESULT_BOTH - query result as both arrays,
     *      $result_type = QUERY_RESULT_ASSOC on default.
     * An example:
     * <code>
     *      $query = &new DB_Select();
     *      #or
     *      $query = &new DB_Insert('table_name');
     *      #or
     *      $query = &new DB_Update('table_name');
     *      #or
     *      $query = &new DB_Delete('table_name');
     *
     *      global $application;
     *      $application->getDB_Result($query);
     * </code>
     *
     * @return datatype description
     * @param type $parname description
     */
    function DB_MySQL()
    {
        global $application;
        $this->table_prefix = $application->getAppIni("DB_TABLE_PREFIX");

        $this->_fQueriesCache = &new CCacheMemory();
    }

    /**
     * Gets a data array as a result of the execution the SELECT query.
     *
     * @param object $QueryData - the object of the DB classes
     * @param int $result_type - returned data type of the SELECT query,
     * MYSQL_ASSOC is by default
     * @return array data array, as a result of the execution the SELECT query
     *
     */
    function getDB_Result($QueryData, $result_type = QUERY_RESULT_ASSOC)
    {
        $this->PrepareSQL($QueryData);

        $query_id = md5($this->QueryString);

        if ($this->querytype == DBQUERY_TYPE_SELECT)
        {
            $result = $this->_fQueriesCache->get($query_id);
            if ( !($result === null) )
            {
                return $result;
            }
        }

        // Run SQL
        $this->DB_Exec();
        $this->DB_Result($result_type);
        $result = $this->ResultArray;

        if ($this->querytype == DBQUERY_TYPE_SELECT)
        {
            $this->_fQueriesCache->save($query_id, $result);

            $table_list = $QueryData->getSelectTables();
            foreach ($table_list as $table_name=>$table_alias)
            {
                $this->_fQueriesCache->append('table-name-'.$table_name, $query_id );
            }

            $table_list = $QueryData->getJoinTables();
            foreach ($table_list as $table)
            {
                $this->_fQueriesCache->append('table-name-'.$table['TABLE'], $query_id );
            }
        }

        return $result;
    }

    function _getSQL($QueryData)
    {
        $this->PrepareSQL($QueryData);
        return $this->getQueryString();
    }

    /**
     * Connects with the database.
     *
     * @return resource the id of the database connection.
     * @param string $link the id name
     * @todo to add the error message, specified in the resource file
     */
    function DB_Connect($link = 'db_link')
    {
        global $$link;
        global $application;
        $server = $application->getAppIni('DB_SERVER');
        $database = $application->getAppIni('DB_NAME');
        $username = $application->getAppIni('DB_USER');
        $password = $application->getAppIni('DB_PASSWORD');
        $pconnect = $application->getAppIni('DB_PCONNECT');

        if ($pconnect == 'true')
        {
            $$link = mysql_pconnect($server, $username, $password, 128);
        }
        else
        {
            $$link = mysql_connect($server, $username, $password, FALSE, 128);
        }

        if ($$link)
        {
            if(!mysql_select_db($database))
            {
                _fatal(array( "CODE" => "CORE_041"), $database);
            }
        }
        else
        {
            _fatal(array( "CODE" => "CORE_042"));
        }

        return $$link;
    }

    /**
     * Closes the database connection.
     *
     * @return boolean Returns TRUE in case of successful end, FALSE in case of
     * an error
     * @param string $link the id connection name
     */
    function DB_Close($link = 'db_link')
    {
        global $$link;
        return mysql_close($$link);
    }

    /**
     * Prepares an error message.
     *
     * @return
     * @param $query - query contents
     * @param $errno - error number
     * @param $errno - error description
     */
    function DB_Error($query, $errno, $error)
    {
        user_error($errno . ' - ' . $error . $query, E_USER_ERROR);
    }

    /**
     * Sends and executes the query.
     *
     * @return returns a resource identifier or FALSE if the query was not
     * executed correctly
     * @param $query - query string
     * @param $link - connection id
     */
    function DB_Query($query, $link = 'db_link')
    {
        global $$link;
/*
        if (defined('STORE_DB_TRANSACTIONS') && (STORE_DB_TRANSACTIONS == 'true'))
        {
            @error_log('QUERY ' . $query . "\n", 3, STORE_PAGE_PARSE_TIME_LOG);
        }
*/
        $result = mysql_query($query, $$link) or $this->DB_Error($query, mysql_errno(), mysql_error());
/*
        if (defined('STORE_DB_TRANSACTIONS') && (STORE_DB_TRANSACTIONS == 'true'))
        {
            $result_error = mysql_error();
            @error_log('RESULT ' . $result . ' ' . $result_error . "\n", 3, STORE_PAGE_PARSE_TIME_LOG);
        }
*/
        return $result;
    }

    /**
     * Checks if the table exists in the database.
     *
     * @return boolean Returns true if the table exists, false otherwise
     * @param string $table_name - the table name
     * @param resource $link - the connection id
     */
    function DB_isTableExists($table_name, $link = 'db_link')
    {
        global $$link;
//        $database = modApiFunc('application', 'getAppIni', 'DB_NAME');
        global $application;
        $database = $application->getAppIni('DB_NAME');
        $table_name = $table_name;
        $tables = DB_MySQL::DB_List_Tables($database, $$link);
        while ($table = DB_MySQL::DB_Fetch_Array($tables, QUERY_RESULT_NUM))
        {
            if ($table[0] == $table_name)
            {
                return true;
            }
        }
        return false;
    }

    /**
     * An alias of mysql_list_tables.
     *
     * @return array returns the table list, specified in the database
     * @param string $db_name - the database name
     * @param resource $link - the connection id
     */
    function DB_List_Tables($db_name, $db_link)
    {
        return mysql_list_tables($db_name, $db_link);
    }

    /**
     * An alias of mysql_fetch_array: Fetches a result row as an associative array,
     * a numeric array, or both.
     *
     * @return Returns an array that corresponds to the fetched row, or FALSE if
     * there are no more rows
     * @param resource $db_query - resource result
     */
    function DB_Fetch_Array($db_query, $result_type)
    {
        return mysql_fetch_array($db_query, $result_type);
    }

    /**
     * An alias of mysql_num_rows:Gets number of rows in result.
     *
     * @return returns the number of rows in a result set
     * @param $db_query - resource result
     */
    function DB_Num_Rows($db_query)
    {
        return mysql_num_rows($db_query);
    }

    /**
     * An alias of mysql_data_seek :Moves internal result pointer.
     *
     * @return Returns TRUE in case of successful end, FALSE in case of an error.
     * @param $db_query - resource result
     * @param $row_number
     */
    function DB_Data_Seek($db_query, $row_number)
    {
        return mysql_data_seek($db_query, $row_number);
    }

    /**
     * An alias of mysql_insert_id():Gets the ID generated from the previous
     * INSERT operation.
     *
     * @return returns the ID generated for an AUTO_INCREMENT column by the
     * previous INSERT query using the given link_identifier and returns 0 if
     * the previous query does not generate an AUTO_INCREMENT value.
     */
    function DB_Insert_Id() {
        return mysql_insert_id();
    }

    /**
     * An alias of mysql_free_result():will free all memory, associated with the
     * result identifier result.
     *
     * @return Returns TRUE in case of successful end, FALSE in case of an error.
     */
    function DB_Free_Result($db_query)
    {
        return mysql_free_result($db_query);
    }

    /**
     * An alias of mysql_fetch_field():Gets column information from a result
     * and return as an object.
     *
     * @return Returns an object containing field information.
     * @param $query - query string
     */
    function DB_Fetch_Fields($db_query)
    {
        return mysql_fetch_field($db_query);
    }

    /**
     * Gets a query string.
     *
     * @return string query string
     */
    function getQueryString()
    {
        return $this->QueryString;
    }

    /**
     * Gets database data dump, including the database structure.
     *
     * @return array data array
     */
    function getDataDump($tables, $currentTable, $currentLimit, $recordsExported, $fp, $link = 'db_link')
    {
        global $$link;
        global $application;

        $data = "";
        if ($currentTable == 0)
        {
            fwrite($fp,"-- --------------------------------------------------------\n-- Avactis Shopping Cart Software\n-- Database Backup\n-- Generation Time: ".date("M d, Y at h:i A", time())."\n-- --------------------------------------------------------\n");
        }
        $start_time = time();

        while (isset($tables[$currentTable]))
        {
            $query = &new DB_MYSQL_Lock_Tables();
            $query->addTableToLock($tables[$currentTable]['table_name'], DB_LOCK_MODE_WRITE);
            $this->DB_Exec($query);

            if (!((time() - $start_time)>=2))
            {
                if ($currentLimit == 0)
                {
                    $table_info = array();
                    $table_info["table_name"] = $tables[$currentTable]['table_name'];
                    $table_info["table_columns_str"] = array();
                    $query = " SHOW COLUMNS FROM ".$table_info["table_name"];
                    $query = $this->DB_Query($query);
                    $columns = array();
                    while ($table_column = $this->DB_Fetch_Array($query, QUERY_RESULT_ASSOC))
                    {
                        $column_info = "`".$table_column["Field"]."` ".$table_column["Type"]." ".(($table_column["Null"]=='')? "NOT NULL":"");
                        $column_info.= (($table_column["Default"]==NULL)? "":" default '".$table_column["Default"]."'")." ".$table_column["Extra"];
                        $table_info["table_columns_str"][] = $column_info;
                        $columns[] = $table_column["Field"];
                    }
                    $table_info["table_columns"] = $columns;
                    $table_info["table_indexes"] = array();
                    $query = " SHOW INDEX FROM ".$table_info["table_name"];
                    $query = $this->DB_Query($query);
                    $indexes = array();
                    while ($table_index = $this->DB_Fetch_Array($query, QUERY_RESULT_ASSOC))
                    {
                        $table_index["Key_name"] = "`".$table_index["Key_name"]."`";
                        if (!isset($indexes[$table_index["Key_name"]]))
                        {
                            $indexes[$table_index["Key_name"]] = "`".$table_index["Column_name"]."`";
                        }
                        else
                        {
                            $indexes[$table_index["Key_name"]].= ", `".$table_index["Column_name"]."`";
                        }
                    }
                    foreach ($indexes as $Key_name => $Column_name)
                    {
                        $index_info = (($Key_name=='`PRIMARY`')? "PRIMARY KEY ":"KEY ".$Key_name);
                        $index_info.= " (".$Column_name.")";
                        $table_info["table_indexes"][] = $index_info;
                    }
                    $data = "\n\n-- \n-- Table structure for table `$table_info[table_name]`\n-- \n\nDROP TABLE IF EXISTS `$table_info[table_name]`;\nCREATE TABLE `$table_info[table_name]` (\n".implode(",\n  ", $table_info["table_columns_str"]);
                    if (sizeof($table_info["table_indexes"]))
                    {
                        $data.= ",\n  ".implode(",\n  ", $table_info["table_indexes"]);
                    }
                    $data.= "\n) TYPE=MyISAM;\n\n-- \n-- Dumping data for table `$table_info[table_name]`\n-- \n\n";
                    fwrite($fp, $data);
                }

                $query = " SHOW COLUMNS FROM ".$tables[$currentTable]['table_name'];
                $query = $this->DB_Query($query);
                $columns = array();
                while ($table_column = $this->DB_Fetch_Array($query, QUERY_RESULT_ASSOC))
                {
                    $columns[] = $table_column["Field"];
                }
                $query = " SELECT * FROM ".$tables[$currentTable]['table_name']." LIMIT ".(100*$currentLimit).", 100";
                $query = $this->DB_Query($query);
                $insert = true;
                $data = "";
                while ($row_data = $this->DB_Fetch_Array($query, QUERY_RESULT_ASSOC))
                {
                    if ($insert)
                    {
                        $table_name = $tables[$currentTable]['table_name'];
                        $data.= "LOCK TABLES `$table_name` WRITE;\nINSERT INTO `$table_name` (`".implode("`, `", $columns)."`) VALUES \n";
                        $insert = false;
                    }
                    $row = array();
                    foreach ($row_data as $key => $value)
                    {
                        if (!is_int($key))
                        {
                            $row[] = "'".addcslashes(addslashes($value), "\0..\31")."'";
                        }
                    }
                    $data.= "(".implode(", ", $row)."),\n";
                    $recordsExported++;
                }
                if ($data && $data[strlen($data)-2] == ",")
                {
                    $data[strlen($data)-2] = ";";
                    fwrite($fp, $data."UNLOCK TABLES;\n");
                }
                $currentLimit++;
                if ($currentLimit*100 >= $tables[$currentTable]['records_count'])
                {
                    $currentLimit = 0;
                    $currentTable++;
                }
            }
            else
            {
                $query = &new DB_MYSQL_Unlock_Tables();
                $this->DB_Exec($query);
                break;
            }
        }

        $retval = array(
                "currentTable" => $currentTable
               ,"currentLimit" => $currentLimit
               ,"recordsExported" => $recordsExported
//               ,"data" => $data
               );

        return $retval;
    }

    function importData($dump_file, $table_prefix, $offset, $str_offset)
    {
        $fp = fopen($dump_file, "r");
        fseek($fp, $offset);
        $this->getSQLCommandFromFile($fp, $offset, $str_offset, $table_prefix, time());
        fclose($fp);
        return array("offset" => $offset, "str_offset" => $str_offset);
    }

    /**
     *
     *
     * @param
     * @return
     */
    function getSQLCommandFromFile($fp, &$offset, &$str_offset, $table_prefix, $start_time)
    {
        $SQLpart = "";
        while (!feof($fp))
        {
            if (((time() - $start_time) >= 2) && !$SQLpart)
            {
                return "restore_timeout";
            }
            $str = fgets($fp);
            $offset+= strlen($str);
            $str_offset++;
            $temp_str = trim($str);
            if (!strlen($temp_str))
            {
                continue;
            }
            if ($temp_str[0] == "#" || substr($temp_str, 0, 2) == "--")
            {
                continue;
            }
/*@todo                                                                               
            if ( !($c_pos = strpos($temp_str, "#") === false) &&
                (!($dq_pos = strpos($temp_str, "\"") === false) || !($q_pos = strpos($temp_str, "'") === false))
               )
            {
                continue;
            }
            if (substr($temp_str, 0, 2) == "/*")
            {
                while (!feof($fp))
                {
                    $str = fgets($fp);
                    $offset+= strlen($str);
                    $temp_str = trim($str);
                    if ()
                    {

                    }
                }
                continue;
            }*/
            if ($temp_str[strlen($temp_str) - 1] == ";")
            {
                $SQLpart.= substr($temp_str, 0, (strlen($temp_str) - 1) );
                if (!(strpos($SQLpart, "DROP TABLE IF EXISTS ") === false))
                {
                    $SQLpart = strtr($SQLpart, array("DROP TABLE IF EXISTS `" => "DROP TABLE IF EXISTS `".$table_prefix));
                }
                elseif (!(strpos($SQLpart, "CREATE TABLE ") === false))
                {
                    $SQLpart = strtr($SQLpart, array("CREATE TABLE `" => "CREATE TABLE `".$table_prefix));
                }
                elseif (!(strpos($SQLpart, "INSERT INTO ") === false))
                {
                    $SQLpart = strtr($SQLpart, array("INSERT INTO `" => "INSERT INTO `".$table_prefix));
                }
                elseif (!(strpos($SQLpart, "LOCK TABLES ") === false))
                {
                    $SQLpart = strtr($SQLpart, array("LOCK TABLES `" => "LOCK TABLES `".$table_prefix));
                }
                $this->DB_Query($SQLpart);
                $SQLpart = "";
            }
            else
            {
                $SQLpart.= $temp_str;
            }
        }
    }

    function dropTablesAfterRestore($tables)
    {
        $SQL = "DROP TABLE ";
        $SQL.= "`".implode("`, `", $tables)."`";
        $this->DB_Query($SQL);
//        foreach ($tables as $table_name)
//        {
//            $this->DB_Query("ALTER TABLE `restore_".$table_name."` RENAME `".$table_name."`");
//        }
    }

    function renameAndDeleteTablesAfterRestore($tables)
    {
        $tables_to_rename = array();
        foreach ($tables as $table_name)
        {
            $tables_to_rename[] = "`".$table_name."` TO `old_".$table_name."`";
            $tables_to_rename[] = "`restore_".$table_name."` TO `".$table_name."`";
        }
        $SQL = "RENAME TABLE ";
        $SQL.= implode(", ", $tables_to_rename);
        $this->DB_Query($SQL);
        $SQL = "DROP TABLE ";
        $SQL.= "`old_".implode("`, `old_", $tables)."`";
        $this->DB_Query($SQL);
    }

    function optimizeTables($Tables)
    {
        global $application;
        $tables_to_optimize = array();
        foreach ($Tables as $table_name)
        {
            $tables_to_optimize[] = "`".$table_name."`";
        }
        $res = mysql_query("OPTIMIZE TABLE ".implode(", ", $tables_to_optimize));
    }

    function table_move($table_name, $new_table_name)
    {
        $SQL = "DROP TABLE IF EXISTS ".$this->table_prefix.$new_table_name;
        $this->DB_Query($SQL);

        $SQL = "RENAME TABLE ".$this->table_prefix.$table_name." TO ".$this->table_prefix.$new_table_name;
        $this->DB_Query($SQL);
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */

    /**
     * Prepares the SQL query string.
     *
     * @return
     * @param object $QueryData - the object of one of the DB_Select, DB_Table_Create,
     * DB_Insert, DB_Update, DB_Delete classes.
     */
    function PrepareSQL($QueryData)
    {
        $this->querytype = $QueryData->getQueryType();
        switch ($this->querytype)
        {
            case DBQUERY_TYPE_CREATE:
                  $this->QueryString = $this->PrepareCreateQuery($QueryData);
                  break;
            case DBQUERY_TYPE_SELECT:
                  $this->QueryString = $this->PrepareSelectQuery($QueryData);
                  break;
            case DBQUERY_TYPE_INSERT:
                  $table_list = array($QueryData->getInsertTable());
                  $this->clearQueriesCache($table_list);
                  $this->QueryString = $this->PrepareInsertQuery($QueryData);
                  break;
            case DBQUERY_TYPE_REPLACE:
                  $table_list = array($QueryData->getReplaceTable());
                  $this->clearQueriesCache($table_list);
                  $this->QueryString = $this->PrepareReplaceQuery($QueryData);
                  break;
            case DBQUERY_TYPE_MULTIPLE_INSERT:
                  $table_list = array($QueryData->getInsertTable());
                  $this->clearQueriesCache($table_list);
                  $this->QueryString = $this->PrepareMultipleInsertQuery($QueryData);
                  break;
            case DBQUERY_TYPE_UPDATE:
                  $table_list = array($QueryData->getUpdateTable());
                  $this->clearQueriesCache($table_list);
                  $this->QueryString = $this->PrepareUpdateQuery($QueryData);
                  break;
            case DBQUERY_TYPE_DELETE:
                  $table_list = array($QueryData->getDeleteTable());
                  $this->clearQueriesCache($table_list);
                  $this->QueryString = $this->PrepareDeleteQuery($QueryData);
                  break;
            case DBQUERY_TYPE_TABLE_DELETE:
                  $table_list = array($QueryData->getDeleteTables());
                  $this->clearQueriesCache($table_list);
                  $this->QueryString = $this->PrepareTableDeleteQuery($QueryData);
                  break;
            case 'DEBUG':
                  $this->QueryString = $QueryData->Query;
                  break;
            case DBQUERY_TYPE_LOCK_TABLES:
                  $this->QueryString = $this->PrepareLockTablesQuery($QueryData);
                  break;
            case DBQUERY_TYPE_UNLOCK_TABLES:
                  $this->QueryString = $this->PrepareUnlockTablesQuery($QueryData);
                  break;
            default:
                  $this->QueryString = '';
                  break;
        }
    }

    function clearQueriesCache($table_list)
    {
        foreach ($table_list as $table_name)
        {
            $_queris_list = $this->_fQueriesCache->get('table-name-'.$table_name);
            $this->_fQueriesCache->reset('table-name-'.$table_name);

            if (!is_array($_queris_list))
            {
                $_queris_list = array($_queris_list);
            }

            foreach ($_queris_list as $_query)
            {
                $this->_fQueriesCache->reset($_query);
            }
        }
    }

    /**
     * Executes the query.
     *
     */
    function DB_Exec()
    {
        global $application;

        $_start_time = microtime_float();
        $this->QueryResult = $this->DB_Query($this->QueryString);
        $_time_spend = microtime_float() - $_start_time;
        $application->db_stat[] = array(
            'query' => $this->QueryString
           ,'time' => $_time_spend
           ,'stack' => $application->tag_stack
        );

        return $this->QueryResult;
    }

    /**
     * Prepares a data array, as a result of the query execution.
     *
     * @param int $result_type - returned data type of the SELECT query,
     * MYSQL_ASSOC is by default
     *
     */
    function DB_Result($result_type)
    {
        if (is_resource($this->QueryResult))
        {
            $this->ResultArray = array();
            while ($row = $this->DB_Fetch_Array($this->QueryResult, $result_type))
            {
                array_push($this->ResultArray, $row);
            }
        }
        else
        {
            $this->ResultArray = $this->QueryResult;
        }
    }

    /**
     * Prepares the query of type CREATE TABLE.
     *
     * @todo to finish the function
     * @return a string, containing the SQL query 'CREATE'
     * @param DB_Table_Create object $QueryData
     */
    function PrepareCreateQuery($QueryData)
    {
        $SQL = ' CREATE TABLE ';
        $table = $QueryData->getTable();
        $SQL.= $table.' (';
        $fields = $QueryData->getFields();
        if (sizeof($fields)>0)
        {
            foreach ($fields as $val)
            {
                $SQL.= $val['field_name'].' '.$val['field_type'].' '.$val['field_NULL'].' '.($val['field_default']!=''? 'default '.$val['field_default']:'').' '.$val['field_extras'].', ';
            }
        }
        $keys = $QueryData->getKeys();
        if (sizeof($keys)>0)
        {
            $SQL.= 'PRIMARY KEY ('.implode(', ',$keys).'), ';
        }
        $indexes = $QueryData->getIndexes();
        if (sizeof($indexes)>0)
        {
            foreach ($indexes as $key => $val)
            {
                if(strpos(strtoupper($val),"UNIQUE") === 0)
                {
                    $SQL.= ' '.$val.' ('.$key.'), ';
                }
                elseif(strpos(strtoupper($val),"FULLTEXT") === 0)
                {
                    $SQL.= ' '.$val.' ('.$key.'), ';
                }
                else
                {
                    $SQL.= ' INDEX '.$val.' ('.$key.'), ';
                }
            }
        }
        if ($SQL[(strlen($SQL)-2)]==',')
        {
            $SQL = substr($SQL, 0, (strlen($SQL)-2));
        }
        $SQL.= ') TYPE=MyISAM ';

        return $SQL;
    }

    /**
     * Prepares the query of type SELECT.
     *
     * @todj to add the checking of data existance and validity
     * @return a string, containing the SQL query 'SELECT'
     * @param DB_Select object $QueryData
     */
    function PrepareSelectQuery($QueryData)
    {
        $SQL = ' SELECT ';
        $fields = $QueryData->getSelectFields();
        if (sizeof($fields)>0)
        {
            foreach ($fields as $key => $val)
            {
                $SQL.= $key.' '.$val.', ';
            }
            $SQL = substr($SQL, 0, (strlen($SQL)-2));
        }
        else
        {
            $SQL.= ' * ';
        }

        $SQL.= ' FROM ( ';
        $tables = $QueryData->getSelectTables();
        if (sizeof($tables)>0)
        {
            foreach ($tables as $key => $val)
            {
                if (!in_array($key, $QueryData->SelectTableAliases))
                {
                    $SQL.= $key.' '.$val.', ';
                }
            }
            $SQL = substr($SQL, 0, (strlen($SQL)-2));
        }
        else
        {
            //Error - No Tables to Select
        }
        $SQL.= ' ) ';

        $join = $QueryData->getJoinTables();
        if (sizeof($join)>0)
        {
            foreach ($join as $val)
            {
                $SQL.= ' '.$val['TYPE'].' JOIN '.$val['TABLE'].' ON ';
                foreach ($val['CONDITION'] as $value)
                {
                    $SQL.= $value.' ';
                }
            }
        }

        $where = $QueryData->getWhereList();
        if (sizeof($where)>0)
        {
            $SQL.= ' WHERE ';
            foreach ($where as $val)
            {
                $SQL.= $val.' ';
            }
        }

        $group = $QueryData->getSelectGroups();
        if (sizeof($group)>0)
        {
            $SQL.= ' GROUP BY '.implode(', ', $group);
        }

        $having = $QueryData->getHavingList();
        if (sizeof($having)>0)
        {
            $SQL.= ' HAVING ';
            foreach ($having as $val)
            {
                $SQL.= $val.' ';
            }
        }

        $order = $QueryData->getSelectOrders();
        if (sizeof($order)>0)
        {
            $SQL.= ' ORDER BY '.implode(', ', $order);
        }

        $limit = $QueryData->getSelectLimits();
        if (sizeof($limit)>0)
        {
            $SQL.= ' LIMIT '.$limit;
        }
        return $SQL;
    }

    /**
     * Prepares the query of type LOCK TABLES.
     *
     * @return a string, containing the SQL query 'LOCK TABLES'
     * @param DB_LockTables object $QueryData
     */
    function PrepareLockTablesQuery($QueryData)
    {
        $SQL = ' LOCK TABLES ';
        $tables = $QueryData->getTablesToLock();
        if (sizeof($tables)>0)
        {
            foreach ($tables as $key => $info)
            {
                $SQL.= $key;
                if(!empty($info['alias']))
                {
                    $SQL.= ' AS ' . $info['alias'];
                }
                if(!empty($info['locking_mode']))
                {
                    $SQL.= ' ' . $info['locking_mode'];
                }
                $SQL.= ', ';
            }
            $SQL = substr($SQL, 0, (strlen($SQL)-2));
        }
        else
        {
            //Error - No Tables to Lock
        }
        return $SQL;
    }

    /**
     * Prepares the query of type UNLOCK TABLES.
     *
     * @return a string, containing the SQL query 'UNLOCK TABLES'
     */
    function PrepareUnlockTablesQuery()
    {
        $SQL = ' UNLOCK TABLES ';
        return $SQL;
    }

    /**
     * Prepares the query of type INSERT.
     *
     * @todo to add the checkings
     * @return a string, containing the SQL query 'INSERT'
     * @param DB_Insert object $QueryData
     */
    function PrepareInsertQuery($QueryData)
    {
        $SQL = ' INSERT INTO ';
        $table = $QueryData->getInsertTable();
        $SQL.= $table.' ';
        $copyFromTableName = $QueryData->getCopyFromTable();
        if ($copyFromTableName)
        {
            $SQL.= 'SELECT * FROM '.$copyFromTableName;
        }
        else
        {
            $fields = $QueryData->getInsertFields();
            if (sizeof($fields)>0)
            {
                $SQL.= '('.implode(', ', $fields).')';
            }
            $SQL.= ' VALUES ';
            $values = $QueryData->getInsertValues();
            $SQL.= '('.implode(', ', $values).')';
        }
        return $SQL;
    }

    /**
     * Prepares the query of type REPLACE.
     *
     * @todo to add the checkings
     * @return a string, containing the SQL query 'REPLACE'
     * @param DB_Replace object $QueryData
     */
    function PrepareReplaceQuery($QueryData)
    {
        $SQL = ' REPLACE INTO ';
        $table = $QueryData->getReplaceTable();
        $SQL.= $table.' ';
        $copyFromTableName = $QueryData->getCopyFromTable();
        if ($copyFromTableName)
        {
            $SQL.= 'SELECT * FROM '.$copyFromTableName;
        }
        else
        {
            $fields = $QueryData->getReplaceFields();
            if (sizeof($fields)>0)
            {
                $SQL.= '('.implode(', ', $fields).')';
            }
            $SQL.= ' VALUES ';
            $values = $QueryData->getReplaceValues();
            $SQL.= '('.implode(', ', $values).')';
        }
        return $SQL;
    }

    function PrepareMultipleInsertQuery($QueryData)
    {
        $table = $QueryData->getInsertTable();
        $fields = $QueryData->getInsertFields();
        $values_array = $QueryData->getInsertValuesArray();

        $SQL = 'INSERT INTO '.$table;
        if(!empty($fields))
        {
            $SQL .= ' ('.implode(', ', $fields).')';
        };

        $SQL .= ' VALUES ('.implode('), (',$values_array).')';

        return $SQL;
    }

    /**
     * Prepares the query of type UPDATE.
     *
     * @todo to add the checkings
     * @return a string, containing the SQL query 'UPDATE'
     * @param DB_Update object $QueryData
     */
    function PrepareUpdateQuery($QueryData)
    {
        $SQL = ' UPDATE ';
        $table = $QueryData->getUpdateTable();
        $SQL.= $table.' ';
        $SQL.= ' SET ';
        $values = $QueryData->getUpdateValues();
        $SQL.= implode(', ', $values);

        $where = $QueryData->getWhereList();
        if (sizeof($where)>0)
        {
            $SQL.= ' WHERE ';
            foreach ($where as $val)
            {
                $SQL.= $val.' ';
            }
        }
        return $SQL;
    }

    /**
     * Prepares the query of type DELETE.
     *
     * @todo to add the checkings
     * @return a string, containing the SQL query 'UPDATE'
     * @param DB_Delete object $QueryData
     */
    function PrepareDeleteQuery($QueryData)
    {
        $SQL = ' DELETE FROM ';
        $table = $QueryData->getDeleteTable();
        $SQL.= $table.' ';

        $where = $QueryData->getWhereList();
        if (sizeof($where)>0)
        {
            $SQL.= ' WHERE ';
            foreach ($where as $val)
            {
                $SQL.= $val.' ';
            }
        }
        return $SQL;
    }

    /**
     * Prepares the query of type DROP TABLE.
     *
     * @todo add the checkings
     * @return a string, containing the SQL query 'DROP TABLE'
     * @param DB_Table_Delete object $QueryData
     */
    function PrepareTableDeleteQuery($QueryData)
    {
        $SQL = ' DROP TABLE ';
        $tables = $QueryData->getDeleteTables();
        if (is_array($tables))
        {
            $table_names = array();
            foreach ($tables as $table_name)
            {
                $table_names[] = $table_name;
            }
            $SQL.= implode(', ', $table_names);
        }
        else
        {
            $SQL.= $tables.' ';
        }
        return $SQL;
    }

    /**
     * A query string.
     *
     * @var string
     */
    var $QueryString;

    /**
     * A query result.
     *
     * @var string
     */
    var $QueryResult;

    /**
     * The data array, as a result of the query execution.
     *
     * @var array
     */
    var $ResultArray;

    var $table_prefix;

    var $querytype;

    var $_fQueriesCache;

    /**#@-*/
}
?>