<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 *
 * @package Cart
 * @author Alexander Girin
 */
class UpdateCartContent
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * UpdateCartContent constructor.
     */
    function UpdateCartContent()
    {
    }

    /**
     * Updates the cart contents.
     */
    function onAction()
    {
        global $application;
        $request = $application->getInstance('Request');

        $cart_id = $request->getValueByKey('cart_id');
        $quantity_in_cart = $request->getValueByKey('quantity_in_cart');

        if (is_array($cart_id))
        {
            for ($i=0; $i<sizeof($cart_id); $i++)
            {
                $quantity_in_cart[$i] *= 1;
                if (is_int($quantity_in_cart[$i]) && $quantity_in_cart[$i] > 0)
                {
                    modApiFunc('Cart', 'updateQuantityInCart', $cart_id[$i], $quantity_in_cart[$i]);
                }
            }
        }
        elseif ($cart_id != NULL)
        {
            $quantity_in_cart *= 1;
            if (is_int($quantity_in_cart) && $quantity_in_cart > 0)
            {
                modApiFunc('Cart', 'updateQuantityInCart', $cart_id, $quantity_in_cart);
            }
        }
        $request = new Request();
        $request->setView(CURRENT_REQUEST_URL);
        $application->redirect($request);
    }
    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */


    /**#@-*/

}
?>