<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * @package Catalog
 * @author Egor V. Derevyankin
 *
 */

class ajax_get_plist
{
    function ajax_get_plist()
    {}

    function onAction()
    {
        $request = &new Request();
        $category_id = $request->getValueByKey('category_id');

        $products_array = modApiFunc('Catalog','getProdsListInCategory',$category_id,false,true);
        $products = array();

        if(!empty($products_array))
        {
            foreach($products_array as $pinfo)
            {
                $obj = &new CProductInfo($pinfo['product_id']);
                $products[] = array(
                    'id' => $pinfo['product_id']
                   ,'name' => $obj->getProductTagValue('Name')
                 );
            };
        };

        global $_RESULT;
        $_RESULT['products'] = $products;
    }
};

?>