<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * Catalog module.
 * Action handler on .
 *
 * @package Catalog
 * @access  public
 */
class ConfirmDeleteProducts
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Action constructor.
     *
     * @todo finish the functions on this page
     */
    function ConfirmDeleteProducts()
    {
    }


    /**
     *
     *
     * Action: ConfirmDeleteProducts.
     *
     * @todo finish the functions on this page
     */
    function onAction()
    {
        $SessionPost = $_POST;
        modApiFunc('Session', 'set', 'SessionPost', $SessionPost);

        $category_id = modApiFunc('Catalog','getCurrentCategoryID');
        $ProdsId = modApiFunc('Catalog', 'getEditableProductsID');
        if ($ProdsId != NULL)
        {
            modApiFunc('Catalog','delProductLinksFromCategory',$category_id,$ProdsId);
            modApiFunc('CatalogCacheManager','eventCategoryProductsContentChanged', $category_id);
            $to_real_delete = array();
            foreach($ProdsId as $product_id)
            {
                if(!modApiFunc('Catalog','doesProductHaveLinks',$product_id))
                    $to_real_delete[] = $product_id;
            };

            if(!empty($to_real_delete))
            {
                modApiFunc('Catalog','setEditableProductsID',$to_real_delete);
                modApiFunc('Catalog','deleteProductsArray',$to_real_delete);
            }
            else
            {
                modApiFunc('Catalog','unsetEditableProductsID');
            };
        }
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */

    /**#@-*/

}

?>