<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * Catalog module.
 * Action handler on .
 *
 * @package Catalog
 * @access  public
 */
class MoveToProducts
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Action constructor.
     *
     * @todo finish the functions on this page
     */
    function MoveToProducts()
    {
    }


    /**
     *
     *
     * Action: ConfirmDeleteCategory.
     *
     * @todo finish the functions on this page
     */
    function onAction()
    {
        global $application;
        $request = $application->getInstance('Request');

        $from_category = modApiFunc('Catalog', 'getCurrentCategoryID');
        $to_category = $request->getValueByKey('to_category_id');
        $products_ids = $request->getValueByKey('products_ids');

        if($to_category != null and $products_ids != null and $from_category != $to_category)
        {
            $products_ids = explode("|",$products_ids);
            modApiFunc('Catalog', 'moveProducts', $from_category, $to_category, $products_ids);
            $cat_obj = &new CCategoryInfo($to_category);
            modApiFunc('Paginator', 'setPaginatorPageToLast', 'Catalog_ProdsList_'.$to_category, $cat_obj->getCategoryTagValue('productsnumber'));
        };

        modApiFunc('Catalog','setCurrentCategoryID',$to_category);
        $request->setView('ProductList');
        $application->redirect($request);
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */

    /**#@-*/

}

?>