<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

class UpdateCheckoutInfo
{

    function UpdateCheckoutInfo()
    {
    }

    function saveSettings($SessionPost)
    {
        $fields = array (
            "variant_id"    => $SessionPost["VariantId"]
           ,"attribute_id"  => $SessionPost["AttributeId"]
           ,"name"          => $SessionPost["VisibleName"]
           ,"descr"         => $SessionPost["Description"]
           ,"visible"       => (isset($SessionPost["IsVisible"]) ? 1 : 0)
           ,"required"      => (isset($SessionPost["IsRequired"]) ? 1 : 0)
        );

        modApiFunc("Checkout","setPersonInfoFieldList", $fields);
    }

    function onAction()
    {
        global $application;

        if(modApiFunc('Session', 'is_Set', 'SessionPost'))
        {
            _fatal(array( "CODE" => "CORE_050"), __CLASS__, __FUNCTION__);
        }

        $SessionPost = $_POST;

        $SessionPost["ViewState"]["ErrorsArray"] = array();

        if ($SessionPost["ViewState"]["FormSubmitValue"] == "Save")
        {
            if (count($SessionPost["ViewState"]["ErrorsArray"]) == 0)
            {
                unset($SessionPost["ViewState"]["ErrorsArray"]);
                $this->saveSettings($SessionPost);
                $SessionPost["ViewState"]["hasCloseScript"] = "true";
            }
        }

        modApiFunc('Session', 'set', 'SessionPost', $SessionPost);
        $request = new Request();
        $request->setView(CURRENT_REQUEST_URL);
        $application->redirect($request);
    }

};

?>