<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * Checkout module.
 * Action handler on OrderUpdateLight.
 *
 * @package Checkout
 * @access  public
 */
class UpdateOrderAction
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Action constructor.
     *
     * @todo finish the functions on this page
     */
    function UpdateOrderAction()
    {
    }

    /**
     * @todo describe the function OrdersSearchByDate->.
     */
    function onAction()
    {
        global $application;
        $request = $application->getInstance('Request');

        $EditOrderForm = $_POST;
        // create an empty array of errors.
        $EditOrderForm["ViewState"]["ErrorsArray"] = array();

        // define the user actions
        switch ($request->getValueByKey('FormSubmitValue'))
        {
            case 'AdvancedForm':
                $EditOrderForm['style'] = ORDERS_INFO_ADVANCED_FORM;
                // save user data in the session, to use it in view
                modApiFunc('Session', 'set', 'EditOrderForm', $EditOrderForm);
                break;

            case 'Save':
                $style = $request->getValueByKey('style', ORDERS_INFO_SIMPLE_FORM);
            	# required parameters
            	$order_id = $request->getValueByKey('order_id');
            	$status_id = $request->getValueByKey('status_id');
            	$payment_status_id = $request->getValueByKey('payment_status_id');
            	$track_id = $request->getValueByKey('track_id');
            	$comment = $request->getValueByKey('comment');
            	# parameters passed through the advanced form
            	$processor_order_id = $style == ORDERS_INFO_ADVANCED_FORM ? $request->getValueByKey('processor_order_id') : null;
            	$payment_method = $style == ORDERS_INFO_ADVANCED_FORM ? $request->getValueByKey('payment_method') : null;
            	$shipping_method = $style == ORDERS_INFO_ADVANCED_FORM ? $request->getValueByKey('shipping_method') : null;
            	$customer_info = $style == ORDERS_INFO_ADVANCED_FORM ? $request->getValueByKey('customer') : null;
            	$billing_info = $style == ORDERS_INFO_ADVANCED_FORM ? $request->getValueByKey('billing') : null;
            	$shipping_info = $style == ORDERS_INFO_ADVANCED_FORM ? $request->getValueByKey('shipping') : null;
                $bank_account_info = $style == ORDERS_INFO_ADVANCED_FORM ? $request->getValueByKey('bankaccount') : null;
                /**
                 * If the user inputted RSA Private key and decrypted info (and then perhaps edited it),
                 * then save new values in the database decrypted.
                 * Otherwise, do not update the database.
                 */
            	$credit_card_info = $style == ORDERS_INFO_ADVANCED_FORM ?
                    (
                        $request->getValueByKey('group_creditCardInfo_is_encrypted') == 'false' ? $request->getValueByKey('creditcard') : null
                    )
                    :
                    null;

            	$data = array();
            	if (is_array($order_id))
            	{
            		foreach ($order_id as $order)
            		{
            			$data[] = array(
                            'order_id' => $order
                           ,'status_id' => $status_id[$order]
                           ,'payment_status_id' => $payment_status_id[$order]
                           ,'track_id' => $track_id[$order]
                           ,'comment' => $comment[$order]
                           ,'processor_order_id' => null
                           ,'payment_method' => null
                           ,'shipping_method' => null
                           ,'customer_info' => null
                           ,'billing_info' => null
                           ,'shipping_info' => null
                           ,'bank_account_info' => null
                           ,'credit_card_info' => null
            			);
            		}
            	}
            	else
            	{
        			$data[] = array(
                        'order_id' => $order_id
                       ,'status_id' => $status_id
                       ,'payment_status_id' => $payment_status_id
                       ,'track_id' => $track_id
                       ,'comment' => $comment
                       ,'processor_order_id' => $processor_order_id
                       ,'payment_method' => $payment_method
                       ,'shipping_method' => $shipping_method
                       ,'customer_info' => $customer_info
                       ,'billing_info' => $billing_info
                       ,'shipping_info' => $shipping_info
                       ,'bank_account_info' => $bank_account_info
                       ,'credit_card_info' => $credit_card_info
        			);
            	}

            	$this->result = modApiFunc('Checkout', 'updateOrder', $data);
                break;
        }

        //prevent twice POST
        $r = &new Request();
        $r->setView(CURRENT_REQUEST_URL);
        $application->redirect($r);
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */

    /**#@-*/
}

?>