<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * Checkout module.
 *
 * @package Checkout
 * @access  public
 */

include_once(dirname(__FILE__) . '/checkout-order-info-az.php');

class OrderInvoice extends OrderInfo
{
    function OrderInvoice()
    {
        $this->template_folder = "order-invoice";
        $this->initFormData();
    }

    function output()
    {
        global $application;

        $application->registerAttributes(array(
            'PersonInfoShipping'
           ,'PersonInfoBilling'
        ));
        $res = parent::output();
        return $res;
    }

    function getTag($tag)
    {
        global $application;
        $value = null;
        switch ($tag)
        {
            case 'PersonInfoShipping':
                $value = $this->getPersonInfo('Shipping');
                break;

            case 'PersonInfoBilling':
                $value = $this->getPersonInfo('Billing');
                break;
            case 'OrderTrackId':
                if (modApiFunc("Checkout", "getDeleteOrdersFlag") == "true")
                {
                    $value = $this->_order['TrackId'];
                }
                else
                {
                    $value = "";
                }
                break;

            default:
                $value = parent::getTag($tag);
                break;
        }
        return $value;
    }
}
?>