<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * Action handler on update general settings.
 *
 * @package Configuration
 * @access  public
 * @author Alexey Kolesnikov
 */
class UpdateGeneralSettings
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Action constructor.
     *
     * @todo finish the functions on this page
     */
    function UpdateGeneralSettings()
    {
    }

    /**
     * @todo
     */
    function onAction()
    {
        global $application;
        $request = $application->getInstance('Request');


        // !!!!!!!!!!!!!!!!!!!!!
        //
        //      !                                  ,                            
        //            null.                                              .
        //  . .                          NULL,             ,                      
        //                                    store_settings.
        //
        // !!!!!!!!!!!!!!!!!!!!!



    	$store_online = $request->getValueByKey( SYSCONFIG_STORE_ONLINE );
    	$store_offline_key = $request->getValueByKey( SYSCONFIG_STORE_OFFLINE_KEY );
    	$store_show_absent = $request->getValueByKey( SYSCONFIG_STORE_SHOW_ABSENT );
        if ($store_show_absent != null && $store_show_absent != modApiFunc('Configuration', 'getValue', SYSCONFIG_STORE_SHOW_ABSENT))
        {
            modApiFunc('CatalogCacheManager', 'clearAllCache');
        }
//    	$store_order_absent = $request->getValueByKey( SYSCONFIG_STORE_ORDER_ABSENT );
    	$store_time_shift = $request->getValueByKey( SYSCONFIG_STORE_TIME_SHIFT );
    	$store_signin_count = $request->getValueByKey( SYSCONFIG_STORE_SIGNIN_COUNT );
    	$store_signin_timeout = $request->getValueByKey( SYSCONFIG_STORE_SIGNIN_TIMEOUT );
    	$store_show_cart = $request->getValueByKey( SYSCONFIG_STORE_SHOW_CART );

        $paginator_default_rows_per_page_az = $request->getValueByKey(SYSCONFIG_STORE_PAGINATOR_DEFAULT_ROWS_PER_PAGE_AZ);

        if ( $request->getValueByKey(SYSCONFIG_STORE_PAGINATOR_ROWS_PER_PAGE_VALUES_AZ) != null )
            $paginator_rows_per_page_values_az = serialize(explode("|", $request->getValueByKey(SYSCONFIG_STORE_PAGINATOR_ROWS_PER_PAGE_VALUES_AZ)));
        else
            $paginator_rows_per_page_values_az = null;

        $paginator_default_rows_per_page_cz = $request->getValueByKey(SYSCONFIG_STORE_PAGINATOR_DEFAULT_ROWS_PER_PAGE_CZ);

        if ( $request->getValueByKey(SYSCONFIG_STORE_PAGINATOR_ROWS_PER_PAGE_VALUES_CZ) != null )
            $paginator_rows_per_page_values_cz = serialize(explode("|", $request->getValueByKey(SYSCONFIG_STORE_PAGINATOR_ROWS_PER_PAGE_VALUES_CZ)));
        else
            $paginator_rows_per_page_values_cz = null;

        if (
            $paginator_default_rows_per_page_az != modApiFunc('Configuration', 'getValue', SYSCONFIG_STORE_PAGINATOR_DEFAULT_ROWS_PER_PAGE_AZ) ||
            $paginator_rows_per_page_values_az != modApiFunc('Configuration', 'getValue', SYSCONFIG_STORE_PAGINATOR_ROWS_PER_PAGE_VALUES_AZ) ||
            $paginator_default_rows_per_page_cz != modApiFunc('Configuration', 'getValue', SYSCONFIG_STORE_PAGINATOR_DEFAULT_ROWS_PER_PAGE_CZ) ||
            $paginator_rows_per_page_values_cz != modApiFunc('Configuration', 'getValue', SYSCONFIG_STORE_PAGINATOR_ROWS_PER_PAGE_VALUES_CZ)
           )
        {
            modApiFunc("Paginator", "clearPaginatorsSession");
        }

        $add_to_cart_default_quantity = $request->getValueByKey(SYSCONFIG_STORE_ADD_TO_CART_DEFAULT_QUANTITY);
        if($add_to_cart_default_quantity != null && $add_to_cart_default_quantity < 1)
        {
            $add_to_cart_default_quantity = 1;
        }
        $add_to_cart_max_quantity = $request->getValueByKey(SYSCONFIG_STORE_ADD_TO_CART_MAX_QUANTITY);
        if($add_to_cart_max_quantity != null && $add_to_cart_max_quantity < 1)
        {
            $add_to_cart_max_quantity = 1;
        }
        $add_to_cart_limit_max_quantity_by_stock = $request->getValueByKey(SYSCONFIG_STORE_ADD_TO_CART_LIMIT_MAX_QUANTITY_BY_STOCK);
        $add_to_cart_add_not_replace = $request->getValueByKey(SYSCONFIG_STORE_ADD_TO_CART_ADD_NOT_REPLACE);

//        $display_product_price_including_taxes = $request->getValueByKey(SYSCONFIG_STORE_DISPLAY_PRODUCT_PRICE_INCLUDING_TAXES);
//        if ($display_product_price_including_taxes != null && $display_product_price_including_taxes != modApiFunc('Configuration', 'getValue', SYSCONFIG_STORE_DISPLAY_PRODUCT_PRICE_INCLUDING_TAXES))
//        {
//            modApiFunc('CatalogCacheManager', 'clearAllCache');
//        }
        $display_totals_including_taxes = $request->getValueByKey(SYSCONFIG_STORE_DISPLAY_TOTALS_INCLUDING_TAXES);
        $hide_state_text_input = $request->getValueByKey(SYSCONFIG_STORE_HIDE_STATE_TEXT_INPUT);
        if ($display_totals_including_taxes != null && $display_totals_including_taxes != modApiFunc('Configuration', 'getValue', SYSCONFIG_STORE_DISPLAY_TOTALS_INCLUDING_TAXES))
        {
            modApiFunc('CatalogCacheManager', 'clearAllCache');
        }

        //      !                                  ,                            
        //            null.                                              .

    	$values = array(
    	    SYSCONFIG_STORE_ONLINE => $store_online
    	   ,SYSCONFIG_STORE_OFFLINE_KEY => $store_offline_key
    	   ,SYSCONFIG_STORE_SHOW_ABSENT => $store_show_absent
//    	   ,SYSCONFIG_STORE_ORDER_ABSENT => $store_order_absent
    	   ,SYSCONFIG_STORE_TIME_SHIFT => $store_time_shift
    	   ,SYSCONFIG_STORE_SIGNIN_COUNT => $store_signin_count
    	   ,SYSCONFIG_STORE_SIGNIN_TIMEOUT => $store_signin_timeout
    	   ,SYSCONFIG_STORE_SHOW_CART => $store_show_cart
           ,SYSCONFIG_STORE_PAGINATOR_DEFAULT_ROWS_PER_PAGE_AZ => $paginator_default_rows_per_page_az
           ,SYSCONFIG_STORE_PAGINATOR_ROWS_PER_PAGE_VALUES_AZ => $paginator_rows_per_page_values_az
           ,SYSCONFIG_STORE_PAGINATOR_DEFAULT_ROWS_PER_PAGE_CZ => $paginator_default_rows_per_page_cz
           ,SYSCONFIG_STORE_PAGINATOR_ROWS_PER_PAGE_VALUES_CZ => $paginator_rows_per_page_values_cz
           ,SYSCONFIG_STORE_ADD_TO_CART_DEFAULT_QUANTITY => $add_to_cart_default_quantity
           ,SYSCONFIG_STORE_ADD_TO_CART_MAX_QUANTITY => $add_to_cart_max_quantity
           ,SYSCONFIG_STORE_ADD_TO_CART_LIMIT_MAX_QUANTITY_BY_STOCK => $add_to_cart_limit_max_quantity_by_stock
           ,SYSCONFIG_STORE_ADD_TO_CART_ADD_NOT_REPLACE => $add_to_cart_add_not_replace
//           ,SYSCONFIG_STORE_DISPLAY_PRODUCT_PRICE_INCLUDING_TAXES => $display_product_price_including_taxes
           ,SYSCONFIG_STORE_DISPLAY_TOTALS_INCLUDING_TAXES => $display_totals_including_taxes
           ,SYSCONFIG_STORE_HIDE_STATE_TEXT_INPUT => $hide_state_text_input
    	);

        //                   ,                            ,                       .
        foreach($values as $key=>$value)
        {
            if ($value == null)
                unset($values[$key]);
        }

        $val = $request->getValueByKey( SYSCONFIG_STORE_NEXT_ORDER_ID );
        if(is_numeric($val))
        {
            $val = intval($val);
            if($val > 0)
            {
                $cur_val = modApiFunc("Checkout", "getNextOrderId");
                if($cur_val != $val)
                {
                    modApiFunc("Checkout", "setNextOrderId", $val);
                }
            }
        }

    	modApiFunc('Configuration', 'setValue', $values);
    }

    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */

    /**#@-*/
}

?>