<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * Modules_Manager list view main class.
 *
 * @package Modules_Manager
 * @author Alexey Kolesnikov
 */
class MM_ListView
{

	function MM_ListView()
	{
		global $application;
		$this->application = &$application;
        $this->mTmplFiller = &$application->getInstance('TmplFiller');
	}

	/**
	 * @access public
	 * @todo remove the block that uses TemplateFiller
	 */
	function output()
	{
	    global $application;

        $moduleList = modApiFunc('Modules_Manager', 'getActiveModules');

       $result = "";
       $items = "";
       foreach ($moduleList as $moduleInfo)
       {
           $_request = &new Request();
           $_request->setView  ( '' );
           ##$_request->setAction( Catalog_SetCurrCat::ACT_NM() );
           $_request->setAction( "ReinstallModuleAction" );
           $_request->setKey   ( "module_name", $moduleInfo->name );
//
           $moduleError = 0;//modApiFunc('Modules_Manager', 'checkModule', $moduleInfo);
           $reinstallHref = $_request->getURL();
           $items .= $this->mTmplFiller->fill("modules_manager/list/", "list_item.tpl.html", array(
                'ModuleID' => $moduleInfo->id
               ,'Name' => $moduleInfo->name . ($moduleError != 0 ? "<img src='images/warning' alt='Error code: " . $moduleError . "'/>" : '')
               ,'Description' => $moduleInfo->description
               ,'Version' => $moduleInfo->version
               ,'ReinstallHref' => $reinstallHref
               )
           );
       }
       $result .= $this->mTmplFiller->fill("modules_manager/list/", "list.tpl.html", array(
           'ListItems' => $items
           )
       );


        return $result;
	}

	/** A reference to Application. */
	var $application;
        /** A reference to Template Filler. */
        var $mTmplFiller;
}
?>