<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * @package PaymentModuleDIBSCC
 * @author Egor V. Derevyankin
 *
 */

$moduleInfo = array
    (
        'name'          => 'Payment_Module_DIBS_CC',
        'shortName'     => 'PMDIBS',
        'groups'        => 'PaymentModule,OnlineCC',
        'description'   => 'DIBS payment module. See payment documentation',
        'version'       => '0.1.4475',
        'author'        => 'Egor V. Derevyankin',
        'contact'       => '',
        'systemModule'  => false,
        'mainFile'      => 'payment_module_dibs_cc_api.php',
        'constantsFile' => 'const.php',
        'resFile'       => 'payment-module-dibs-messages',

        'actions' => array
        (
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleDIBSCCInputAZ' => 'dibs_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
            )
        )
    );

?>