<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 *
 * @package PaymentModuleDirectDeposit
 * @author Vadim Lyalikov
 */
class Payment_Module_Direct_Deposit
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * PaymentModuleDirectDeposit  constructor.
     */
    function Payment_Module_Direct_Deposit()
    {
    }

    function install()
    {
    }

    function uninstall()
    {
    }
    
    function getUid()
    {
        return "CB532ED3-E330-690E-C5FB-7147B27CA89C";
    }

    function getInfo()
    {
        global $application;
        $obj = &$application->getInstance('MessageResources',"payment-module-direct-deposit-messages", "AdminZone");
        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $obj->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
					 "PreferencesAZViewClassName" => "CheckoutPaymentModuleDirectDepositInputAZ",
                     "APIClassName" => __CLASS__
                    );
    }

    function isActive()
    {
        return false;
    }
    
    function getTables()
    {
        return array();
    }
}
?>