<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 *
 * @package PaymentModuleMoneyOrder
 * @author Vadim Lyalikov
 */
class Payment_Module_Money_Order
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * PaymentModuleMoneyOrder  constructor.
     */
    function Payment_Module_Money_Order()
    {
    }

    function install()
    {
    }

    function isActive()
    {
        return false;
    }

    function getUid()
    {
        return "44492B53-7C37-557B-6B76-940AA15C8D6E";
    }

    function getInfo()
    {
        global $application;
        $obj = &$application->getInstance('MessageResources',"payment-module-money-order-messages", "AdminZone");

        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $obj->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
					 "PreferencesAZViewClassName" => "CheckoutPaymentModuleMoneyOrderInputAZ",
                     "APIClassName" => __CLASS__
                    );
    }

    function uninstall()
    {
    }

    function getTables()
    {
        return array();
    }

}
?>