<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * API is the Protx Direct payment module class.
 *
 * @package PaymentModuleProtxDirectCC
 * @author Egor Makarov
 */
class Payment_Module_Protx_Direct_CC
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Payment_Module_Protx_Direct_CC  constructor.
     */
    function Payment_Module_Protx_Direct_CC()
    {
    }

    function install()
    {
    }

    function isActive()
    {
        return false;
    }

    function getUid()
    {
        return "6A0EF99B-D9B9-4DEE-951A-8656A58CB9BA";
    }

    function getInfo()
    {
        global $application;
        $obj = &$application->getInstance('MessageResources', modApiFunc("Modules_Manager","getResFileByShortName", 'PM_PXD'), 'AdminZone');

        return array("GlobalUniquePaymentModuleID" => $this->getUid(),
                     "Name"        => $obj->getMessage('MODULE_NAME'),
                     "StatusMessage" => ($this->IsActive())? "<span class=\"status_online\">".$obj->getMessage('MODULE_STATUS_ACTIVE')."</span>":$obj->getMessage('MODULE_STATUS_INACTIVE')."<span class=\"required\">*</span>",
                     "PreferencesAZViewClassName" => "CheckoutPaymentModuleProtxDirectCCInputAZ",
                     "APIClassName" => __CLASS__
                    );
    }

    function uninstall()
    {
    }

    function getTables()
    {
        return array();
    }
}
?>