<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * CheckoutPaymentModuleVerisignAusCCInputAZ view
 *
 * @package PaymentModuleVerisignAusCC
 * @author Egor Makarov
 */
class CheckoutPaymentModuleVerisignAusCCInputAZ
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Modules_Manager constructor
     */
    function CheckoutPaymentModuleVerisignAusCCInputAZ()
    {
        global $application;
        $this->MessageResources = &$application->getInstance('MessageResources',"payment-module-verisign-aus-messages", "AdminZone");
        $this->mTmplFiller = &$application->getInstance('TmplFiller');
    }

    function output()
    {
        global $application;
        $template_contents = array(
                                    "ModuleType"            => $this->MessageResources->getMessage('MODULE_TYPE')
                                   ,"ModuleName"            => $this->MessageResources->getMessage('MODULE_NAME')
                                   ,"FreeVersionMessage"    => $this->MessageResources->getMessage('FREE_VERSION_MESSAGE')
                                  );

        $this->_Template_Contents = $template_contents;
        $application->registerAttributes($this->_Template_Contents);
        return $this->mTmplFiller->fill("payment_module_verisign_aus/", "list.tpl.html", array());
    }

    function getTag($tag)
    {
        return $value = getKeyIgnoreCase($tag, $this->_Template_Contents);
    }
    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    var $_Template_Contents;
    var $MessageResources;
}
?>