<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package ProductOptions
 * @author Egor V. Derevyankin
 */

$moduleInfo = array
    (
        'name'         => 'Product_Options',
        'shortName'    => 'PO',
        'groups'       => 'Main',
        'description'  => 'Product Options module',
        'version'      => '0.5.3809',
        'author'       => 'Egor V. Derevyankin',
        'contact'      => '',
        'systemModule'  => false,
        'mainFile'     => 'product_options_api.php',
        'resFile'      => 'product-options-messages',

        'actions' => array
        (
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array(
                'PO_OptionsList'    => 'po_options_list_az.php'
            ),
            'CustomerZone' => array(
                'ProductOptionsWarnings' => 'options-warnings-cz.php'
            )
        )
    );
?>