<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

/**
 * manage_quantity_discounts_az view
 *
 * @package
 * @author Vadim Lyalikov
 */
class manage_quantity_discounts_az
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Modules_Manager constructor
     */
    function manage_quantity_discounts_az()
    {
        global $application;
        $this->MessageResources = &$application->getInstance('MessageResources',"quantity-discounts-messages", "AdminZone");

        $this->mTmplFiller = &$application->getInstance('TmplFiller');
    }

    function output()
    {
        global $application;
        $request = &$application->getInstance('Request');

        $template_contents = array(
          "Local_ProductBookmarks" => ProductBookmarks('quantity_discounts', $request->getValueByKey("product_id"))
        );

        $this->_Template_Contents = $template_contents;
        $application->registerAttributes($this->_Template_Contents);

        return $this->mTmplFiller->fill("quantity_discounts/list_quantity_discounts/", "quantity_discount_list.tpl.html",array());
    }

    function getTag($tag)
    {
        $value = getKeyIgnoreCase($tag, $this->_Template_Contents);
        return $value;
    }

    var $_Template_Contents;
}
?>