<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php

class update_scc_settings
{

    function update_scc_settings()
    {
    }

    function saveSettings($SessionPost)
    {
        $settings = array (
                "PO_SC"      => $SessionPost["PO_SC"]
               ,"PO_SC_TYPE" => $SessionPost["PO_SC_TYPE"]
               ,"PO_HC"      => $SessionPost["PO_HC"]
               ,"MIN_SC"     => $SessionPost["MIN_SC"]
               ,"FS_OO"      => $SessionPost["FS_OO"]
               ,"FH_OO"      => $SessionPost["FH_OO"]
            );

        modApiFunc("Shipping_Cost_Calculator","setSettings",$settings);
    }

    function onAction()
    {
        global $application;

        if(modApiFunc('Session', 'is_Set', 'SessionPost'))
        {
            _fatal(array( "CODE" => "CORE_050"), __CLASS__, __FUNCTION__);
        }

        $SessionPost = $_POST;

        $SessionPost["ViewState"]["ErrorsArray"] = array();

        $SessionPost["PO_SC"]=trim(str_replace(",",".",$SessionPost["PO_SC"]));
        $SessionPost["PO_HC"]=trim(str_replace(",",".",$SessionPost["PO_HC"]));
        $SessionPost["MIN_SC"]=trim(str_replace(",",".",$SessionPost["MIN_SC"]));
        $SessionPost["FS_OO"]=trim(str_replace(",",".",$SessionPost["FS_OO"]));
        $SessionPost["FH_OO"]=trim(str_replace(",",".",$SessionPost["FH_OO"]));

        if ($SessionPost["PO_SC"] == "")
        {
            $SessionPost["PO_SC"] = "0";
        }
        else
        {
            if(!is_numeric($SessionPost["PO_SC"]) or $SessionPost["PO_SC"]<0)
                $SessionPost["ViewState"]["ErrorsArray"][] = "ERROR_001";
        }

        if ($SessionPost["PO_HC"] == "")
        {
            $SessionPost["PO_HC"] = "0";
        }
        else
        {
            if(!is_numeric($SessionPost["PO_HC"]) or $SessionPost["PO_HC"]<0)
                $SessionPost["ViewState"]["ErrorsArray"][] = "ERROR_002";
        }

        if ($SessionPost["MIN_SC"] == "")
        {
            $SessionPost["MIN_SC"] = "0";
        }
        else
        {
            if(!is_numeric($SessionPost["MIN_SC"]) or $SessionPost["MIN_SC"]<0)
                $SessionPost["ViewState"]["ErrorsArray"][] = "ERROR_003";
        }

        if ($SessionPost["FS_OO"] != "" and (!is_numeric($SessionPost["FS_OO"]) or $SessionPost["FS_OO"]<0))
                $SessionPost["ViewState"]["ErrorsArray"][] = "ERROR_004";

        if ($SessionPost["FH_OO"] != "" and (!is_numeric($SessionPost["FH_OO"]) or $SessionPost["FH_OO"]<0))
                $SessionPost["ViewState"]["ErrorsArray"][] = "ERROR_005";

        if($SessionPost["ViewState"]["FormSubmitValue"]=="Save")
        {
            if(count($SessionPost["ViewState"]["ErrorsArray"])==0)
            {
                unset($SessionPost["ViewState"]["ErrorsArray"]);
                $this->saveSettings($SessionPost);
                $SessionPost["ViewState"]["hasCloseScript"] = "true";
            };
        };


        modApiFunc('Session', 'set', 'SessionPost', $SessionPost);
        $request = new Request();
        $request->setView(CURRENT_REQUEST_URL);
        $application->redirect($request);
    }

};

?>