<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2007, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package ShippingModuleFlatShippingRates
 * @author Vadim Lyalikov
 */

$moduleInfo = array
    (
        'name'         => 'Shipping_Module_Flat_Shipping_Rates', # this is also a main class name
        'groups'       => 'ShippingModule,Offline',
        'description'  => 'Flat Shipping Rates shipping module. See shipping documentation',
        'version'      => '0.1.4581',
        'author'       => 'Vadim Lyalikov',
        'contact'      => '',
        'systemModule'  => false,
        'mainFile'     => 'shipping_module_flat_shipping_rates_api.php',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'update_flat_shipping_rates' => 'update_flat_shipping_rates_action.php'
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'flat_shipping_rates_input_az' => 'flat_shipping_rates_input_az.php',
            ),
            'CustomerZone' => array
            (
            )
        )
    );
?>